<?php
// @codingStandardsIgnoreFile
/**
 * @file
 * A database agnostic dump for testing purposes.
 *
 * This file was generated by the Drupal 8.0 db-tools.php script.
 */

use Drupal\Core\Database\Database;

$connection = Database::getConnection();

$connection->schema()->createTable('ca_predicates', array(
  'fields' => array(
    'pid' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'title' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'description' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
    'class' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'status' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'weight' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'small',
      'default' => '0',
    ),
    'uid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'ca_trigger' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'conditions' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'big',
    ),
    'actions' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'big',
    ),
    'created' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'modified' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'pid',
  ),
  'indexes' => array(
    'ca_predicates_class' => array(
      array(
        'class',
        '191',
      ),
    ),
    'ca_predicates_status' => array(
      'status',
    ),
    'ca_predicates_ca_trigger' => array(
      array(
        'ca_trigger',
        '191',
      ),
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('cache_container', array(
  'fields' => array(
    'cid' => array(
      'type' => 'varchar_ascii',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
      'binary' => TRUE,
    ),
    'data' => array(
      'type' => 'blob',
      'not null' => FALSE,
      'size' => 'big',
    ),
    'expire' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'created' => array(
      'type' => 'numeric',
      'not null' => TRUE,
      'precision' => '14',
      'scale' => '3',
      'default' => '0.000',
    ),
    'serialized' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'small',
      'default' => '0',
    ),
    'tags' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'big',
    ),
    'checksum' => array(
      'type' => 'varchar_ascii',
      'not null' => TRUE,
      'length' => '255',
    ),
  ),
  'primary key' => array(
    'cid',
  ),
  'indexes' => array(
    'expire' => array(
      'expire',
    ),
  ),
  'mysql_character_set' => 'utf8mb4',
));

$connection->insert('node')
->fields(array(
  'nid',
  'vid',
  'type',
  'language',
  'title',
  'uid',
  'status',
  'created',
  'changed',
  'comment',
  'promote',
  'moderate',
  'sticky',
  'tnid',
  'translate',
))
->values(array(
  'nid' => '27',
  'vid' => '27',
  'type' => 'product',
  'language' => '',
  'title' => 'Product 27',
  'uid' => '3',
  'status' => '0',
  'created' => '1294956841',
  'changed' => '1435007317',
  'comment' => '0',
  'promote' => '0',
  'moderate' => '0',
  'sticky' => '0',
  'tnid' => '0',
  'translate' => '0',
))
->values(array(
  'nid' => '28',
  'vid' => '28',
  'type' => 'product',
  'language' => '',
  'title' => 'Product 28',
  'uid' => '3',
  'status' => '0',
  'created' => '1294958121',
  'changed' => '1435007329',
  'comment' => '0',
  'promote' => '0',
  'moderate' => '0',
  'sticky' => '0',
  'tnid' => '0',
  'translate' => '0',
))
->values(array(
  'nid' => '29',
  'vid' => '29',
  'type' => 'product',
  'language' => '',
  'title' => 'Product 29',
  'uid' => '3',
  'status' => '1',
  'created' => '1294958699',
  'changed' => '1346271526',
  'comment' => '0',
  'promote' => '1',
  'moderate' => '0',
  'sticky' => '0',
  'tnid' => '0',
  'translate' => '0',
))
->values(array(
  'nid' => '30',
  'vid' => '30',
  'type' => 'product',
  'language' => '',
  'title' => 'Product 30',
  'uid' => '3',
  'status' => '1',
  'created' => '1294959319',
  'changed' => '1346271616',
  'comment' => '0',
  'promote' => '1',
  'moderate' => '0',
  'sticky' => '0',
  'tnid' => '0',
  'translate' => '0',
))
->values(array(
  'nid' => '31',
  'vid' => '31',
  'type' => 'product',
  'language' => '',
  'title' => 'Product 31',
  'uid' => '3',
  'status' => '1',
  'created' => '1294959570',
  'changed' => '1346271706',
  'comment' => '0',
  'promote' => '1',
  'moderate' => '0',
  'sticky' => '0',
  'tnid' => '0',
  'translate' => '0',
))
->values(array(
  'nid' => '39',
  'vid' => '39',
  'type' => 'product',
  'language' => '',
  'title' => 'Product 39',
  'uid' => '3',
  'status' => '0',
  'created' => '1294963863',
  'changed' => '1457568239',
  'comment' => '0',
  'promote' => '1',
  'moderate' => '0',
  'sticky' => '0',
  'tnid' => '0',
  'translate' => '0',
))
->values(array(
  'nid' => '40',
  'vid' => '40',
  'type' => 'product',
  'language' => '',
  'title' => 'Product 40',
  'uid' => '3',
  'status' => '1',
  'created' => '1294964293',
  'changed' => '1349388065',
  'comment' => '0',
  'promote' => '1',
  'moderate' => '0',
  'sticky' => '0',
  'tnid' => '0',
  'translate' => '0',
))
->values(array(
  'nid' => '42',
  'vid' => '42',
  'type' => 'product',
  'language' => '',
  'title' => 'Product 42',
  'uid' => '3',
  'status' => '1',
  'created' => '1294964890',
  'changed' => '1304694844',
  'comment' => '0',
  'promote' => '1',
  'moderate' => '0',
  'sticky' => '0',
  'tnid' => '0',
  'translate' => '0',
))
->values(array(
  'nid' => '43',
  'vid' => '43',
  'type' => 'product',
  'language' => '',
  'title' => 'Product 43',
  'uid' => '3',
  'status' => '1',
  'created' => '1294965120',
  'changed' => '1304694819',
  'comment' => '0',
  'promote' => '1',
  'moderate' => '0',
  'sticky' => '0',
  'tnid' => '0',
  'translate' => '0',
))
->values(array(
  'nid' => '48',
  'vid' => '48',
  'type' => 'product',
  'language' => '',
  'title' => 'Product 48',
  'uid' => '3',
  'status' => '1',
  'created' => '1294971464',
  'changed' => '1445453476',
  'comment' => '0',
  'promote' => '1',
  'moderate' => '0',
  'sticky' => '0',
  'tnid' => '0',
  'translate' => '0',
))
->values(array(
  'nid' => '112',
  'vid' => '112',
  'type' => 'other_product',
  'language' => '',
  'title' => 'Product 112',
  'uid' => '1',
  'status' => '0',
  'created' => '1295888064',
  'changed' => '1407422646',
  'comment' => '0',
  'promote' => '1',
  'moderate' => '0',
  'sticky' => '0',
  'tnid' => '0',
  'translate' => '0',
))
->values(array(
  'nid' => '114',
  'vid' => '114',
  'type' => 'other_product',
  'language' => '',
  'title' => 'Product 114',
  'uid' => '1',
  'status' => '0',
  'created' => '1295889640',
  'changed' => '1407422646',
  'comment' => '0',
  'promote' => '1',
  'moderate' => '0',
  'sticky' => '0',
  'tnid' => '0',
  'translate' => '0',
))
->values(array(
  'nid' => '116',
  'vid' => '116',
  'type' => 'other_product',
  'language' => '',
  'title' => 'Product 116',
  'uid' => '1',
  'status' => '0',
  'created' => '1295890464',
  'changed' => '1407422646',
  'comment' => '0',
  'promote' => '1',
  'moderate' => '0',
  'sticky' => '0',
  'tnid' => '0',
  'translate' => '0',
))
->values(array(
  'nid' => '118',
  'vid' => '118',
  'type' => 'other_product',
  'language' => '',
  'title' => 'Product 118',
  'uid' => '1',
  'status' => '1',
  'created' => '1295895060',
  'changed' => '1296583944',
  'comment' => '0',
  'promote' => '1',
  'moderate' => '0',
  'sticky' => '0',
  'tnid' => '0',
  'translate' => '0',
))
->values(array(
  'nid' => '120',
  'vid' => '120',
  'type' => 'other_product',
  'language' => '',
  'title' => 'Product 120',
  'uid' => '1',
  'status' => '1',
  'created' => '1295900517',
  'changed' => '1409257444',
  'comment' => '0',
  'promote' => '1',
  'moderate' => '0',
  'sticky' => '0',
  'tnid' => '0',
  'translate' => '0',
))
->values(array(
  'nid' => '122',
  'vid' => '122',
  'type' => 'other_product',
  'language' => '',
  'title' => 'Product 122',
  'uid' => '1',
  'status' => '1',
  'created' => '1295902839',
  'changed' => '1296583944',
  'comment' => '0',
  'promote' => '1',
  'moderate' => '0',
  'sticky' => '0',
  'tnid' => '0',
  'translate' => '0',
))
->values(array(
  'nid' => '124',
  'vid' => '124',
  'type' => 'other_product',
  'language' => '',
  'title' => 'Product 124',
  'uid' => '1',
  'status' => '0',
  'created' => '1295904291',
  'changed' => '1434645154',
  'comment' => '0',
  'promote' => '0',
  'moderate' => '0',
  'sticky' => '0',
  'tnid' => '0',
  'translate' => '0',
))
->values(array(
  'nid' => '128',
  'vid' => '128',
  'type' => 'other_product',
  'language' => '',
  'title' => 'Product 128',
  'uid' => '1',
  'status' => '0',
  'created' => '1295929886',
  'changed' => '1407422645',
  'comment' => '0',
  'promote' => '1',
  'moderate' => '0',
  'sticky' => '0',
  'tnid' => '0',
  'translate' => '0',
))
->values(array(
  'nid' => '130',
  'vid' => '130',
  'type' => 'other_product',
  'language' => '',
  'title' => 'Product 130',
  'uid' => '1',
  'status' => '1',
  'created' => '1295970703',
  'changed' => '1343247695',
  'comment' => '0',
  'promote' => '1',
  'moderate' => '0',
  'sticky' => '0',
  'tnid' => '0',
  'translate' => '0',
))
->values(array(
  'nid' => '132',
  'vid' => '132',
  'type' => 'other_product',
  'language' => '',
  'title' => 'Product 132',
  'uid' => '1',
  'status' => '0',
  'created' => '1295977940',
  'changed' => '1407422645',
  'comment' => '0',
  'promote' => '1',
  'moderate' => '0',
  'sticky' => '0',
  'tnid' => '0',
  'translate' => '0',
))
->execute();

$connection->insert('node_type')
->fields(array(
  'type',
  'name',
  'module',
  'description',
  'help',
  'has_title',
  'title_label',
  'has_body',
  'body_label',
  'min_word_count',
  'custom',
  'modified',
  'locked',
  'orig_type',
))
->values(array(
  'type' => 'other_product',
  'name' => 'Other Product',
  'module' => 'uc_product',
  'description' => 'A special type of product.',
  'help' => '',
  'has_title' => '1',
  'title_label' => 'Name',
  'has_body' => '1',
  'body_label' => 'Description',
  'min_word_count' => '0',
  'custom' => '0',
  'modified' => '1',
  'locked' => '1',
  'orig_type' => 'designable_product',
))
->values(array(
  'type' => 'product',
  'name' => 'Product',
  'module' => 'uc_product',
  'description' => 'This node displays the representation of a product for sale on the website. It includes all the unique information that can be attributed to a specific model number.',
  'help' => '',
  'has_title' => '1',
  'title_label' => 'Name',
  'has_body' => '1',
  'body_label' => 'Description',
  'min_word_count' => '0',
  'custom' => '0',
  'modified' => '1',
  'locked' => '1',
  'orig_type' => 'product',
))
->execute();

$connection->schema()->createTable('uc_addresses', array(
  'fields' => array(
    'aid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'uid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'first_name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'last_name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'phone' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'company' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'street1' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'street2' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'city' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'zone' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'medium',
      'default' => '0',
    ),
    'postal_code' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'country' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'medium',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'address_name' => array(
      'type' => 'varchar',
      'not null' => FALSE,
      'length' => '20',
    ),
    'created' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'modified' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'aid',
  ),
  'indexes' => array(
    'aid_uid_idx' => array(
      'aid',
      'uid',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('uc_addresses')
->fields(array(
  'aid',
  'uid',
  'first_name',
  'last_name',
  'phone',
  'company',
  'street1',
  'street2',
  'city',
  'zone',
  'postal_code',
  'country',
  'address_name',
  'created',
  'modified',
))
->values(array(
  'aid' => '2',
  'uid' => '6',
  'first_name' => 'aatu',
  'last_name' => 'leppo',
  'phone' => '06-164-893',
  'company' => '',
  'street1' => '7389 pispalan valtatie',
  'street2' => 'Suite 510',
  'city' => 'Chicago',
  'zone' => '23',
  'postal_code' => '60654',
  'country' => '840',
  'address_name' => '',
  'created' => '1303244326',
  'modified' => '1303244326',
))
->values(array(
  'aid' => '4',
  'uid' => '42',
  'first_name' => 'dylan',
  'last_name' => 'walker',
  'phone' => '017683 56822',
  'company' => '',
  'street1' => '1991 north road',
  'street2' => '',
  'city' => 'Little Rock',
  'zone' => '5',
  'postal_code' => '72015',
  'country' => '840',
  'address_name' => '',
  'created' => '1306207208',
  'modified' => '1306207208',
))
->values(array(
  'aid' => '6',
  'uid' => '6',
  'first_name' => 'aatu',
  'last_name' => 'leppo',
  'phone' => '06-164-893',
  'company' => '',
  'street1' => '7389 pispalan valtatie',
  'street2' => 'Suite 510',
  'city' => 'Chicago',
  'zone' => '23',
  'postal_code' => '60654',
  'country' => '840',
  'address_name' => '',
  'created' => '1306356235',
  'modified' => '1306356235',
))
->values(array(
  'aid' => '9',
  'uid' => '62',
  'first_name' => 'asta',
  'last_name' => 'poulsen',
  'phone' => '17072674',
  'company' => '',
  'street1' => '6516 skærbækvej',
  'street2' => '',
  'city' => 'richmond',
  'zone' => '27',
  'postal_code' => '40475',
  'country' => '840',
  'address_name' => '',
  'created' => '1306915366',
  'modified' => '1306915366',
))
->values(array(
  'aid' => '10',
  'uid' => '75',
  'first_name' => 'elias',
  'last_name' => 'hein',
  'phone' => '0876-2083742',
  'company' => '',
  'street1' => '2826 rosenstraße',
  'street2' => '',
  'city' => 'Newark',
  'zone' => '47',
  'postal_code' => '43055',
  'country' => '840',
  'address_name' => '',
  'created' => '1307314766',
  'modified' => '1452559885',
))
->values(array(
  'aid' => '11',
  'uid' => '71',
  'first_name' => 'lisa',
  'last_name' => 'bonnet',
  'phone' => '01-22-79-26-19',
  'company' => '',
  'street1' => '3955 rue victor-hugo',
  'street2' => '',
  'city' => 'Danville',
  'zone' => '27',
  'postal_code' => '40422',
  'country' => '840',
  'address_name' => '',
  'created' => '1307708045',
  'modified' => '1307708045',
))
->values(array(
  'aid' => '12',
  'uid' => '33',
  'first_name' => 'georgia',
  'last_name' => 'wilson',
  'phone' => '(150)-413-5723',
  'company' => '',
  'street1' => '3905 maunganui road',
  'street2' => '',
  'city' => 'Richmond ',
  'zone' => '24',
  'postal_code' => '47374',
  'country' => '840',
  'address_name' => '',
  'created' => '1307996503',
  'modified' => '1307996626',
))
->values(array(
  'aid' => '13',
  'uid' => '78',
  'first_name' => 'leah',
  'last_name' => 'robinson',
  'phone' => '(833)-952-0739',
  'company' => '',
  'street1' => '1240 pages road',
  'street2' => '',
  'city' => 'Crystal River',
  'zone' => '18',
  'postal_code' => '34429',
  'country' => '840',
  'address_name' => '',
  'created' => '1307999436',
  'modified' => '1450283693',
))
->values(array(
  'aid' => '14',
  'uid' => '88',
  'first_name' => 'caroline',
  'last_name' => 'rasmussen',
  'phone' => '69692204',
  'company' => '',
  'street1' => '9388 enghaven',
  'street2' => '',
  'city' => 'Beattyville ',
  'zone' => '27',
  'postal_code' => '41311',
  'country' => '840',
  'address_name' => '',
  'created' => '1308090490',
  'modified' => '1308090490',
))
->values(array(
  'aid' => '15',
  'uid' => '88',
  'first_name' => 'caroline',
  'last_name' => 'rasmussen',
  'phone' => '69692204',
  'company' => '',
  'street1' => '9388 enghaven',
  'street2' => '',
  'city' => 'Beattyville ',
  'zone' => '27',
  'postal_code' => '41311',
  'country' => '840',
  'address_name' => '',
  'created' => '1308090490',
  'modified' => '1308090490',
))
->values(array(
  'aid' => '16',
  'uid' => '96',
  'first_name' => 'signe',
  'last_name' => 'nielsen',
  'phone' => '58640110',
  'company' => '',
  'street1' => '9262 apollovej',
  'street2' => '',
  'city' => 'Dayton',
  'zone' => '47',
  'postal_code' => '45449',
  'country' => '840',
  'address_name' => '',
  'created' => '1308335881',
  'modified' => '1308335881',
))
->values(array(
  'aid' => '17',
  'uid' => '63',
  'first_name' => 'hudson',
  'last_name' => 'anderson',
  'phone' => '(641)-997-4838',
  'company' => '',
  'street1' => '6265 prestons road',
  'street2' => '',
  'city' => 'Radcliff',
  'zone' => '27',
  'postal_code' => '40160',
  'country' => '840',
  'address_name' => '',
  'created' => '1308704898',
  'modified' => '1308704898',
))
->values(array(
  'aid' => '21',
  'uid' => '76',
  'first_name' => 'raymond',
  'last_name' => 'wood',
  'phone' => '016977 4374',
  'company' => '',
  'street1' => '4760 highfield road',
  'street2' => '',
  'city' => 'New Albany',
  'zone' => '24',
  'postal_code' => '47150',
  'country' => '840',
  'address_name' => '',
  'created' => '1310575867',
  'modified' => '1310575867',
))
->values(array(
  'aid' => '25',
  'uid' => '6',
  'first_name' => 'aatu',
  'last_name' => 'leppo',
  'phone' => '06-164-893',
  'company' => '',
  'street1' => '7389 pispalan valtatie',
  'street2' => 'Suite 510',
  'city' => 'Chicago',
  'zone' => '23',
  'postal_code' => '60654',
  'country' => '840',
  'address_name' => '',
  'created' => '1312390474',
  'modified' => '1312390474',
))
->values(array(
  'aid' => '60',
  'uid' => '77',
  'first_name' => 'emil',
  'last_name' => 'jensen',
  'phone' => '17159813',
  'company' => '',
  'street1' => '8437 egevænget',
  'street2' => '',
  'city' => 'Sanford',
  'zone' => '18',
  'postal_code' => '32771',
  'country' => '840',
  'address_name' => '',
  'created' => '1319820726',
  'modified' => '1319820726',
))
->values(array(
  'aid' => '75',
  'uid' => '96',
  'first_name' => 'signe',
  'last_name' => 'nielsen',
  'phone' => '58640110',
  'company' => '',
  'street1' => '9262 apollovej',
  'street2' => '',
  'city' => 'Dayton',
  'zone' => '47',
  'postal_code' => '45414',
  'country' => '840',
  'address_name' => '',
  'created' => '1321481141',
  'modified' => '1321481141',
))
->values(array(
  'aid' => '90',
  'uid' => '42',
  'first_name' => 'dylan',
  'last_name' => 'walker',
  'phone' => '017683 56822',
  'company' => '',
  'street1' => '1991 north road',
  'street2' => '',
  'city' => 'Holt Summit',
  'zone' => '36',
  'postal_code' => '65043',
  'country' => '840',
  'address_name' => '',
  'created' => '1333900223',
  'modified' => '1333900223',
))
->values(array(
  'aid' => '122',
  'uid' => '88',
  'first_name' => 'caroline',
  'last_name' => 'rasmussen',
  'phone' => '69692204',
  'company' => '',
  'street1' => '9388 enghaven',
  'street2' => '',
  'city' => 'Beattyville ',
  'zone' => '27',
  'postal_code' => '41311',
  'country' => '840',
  'address_name' => '',
  'created' => '1398203008',
  'modified' => '1398203008',
))
->values(array(
  'aid' => '127',
  'uid' => '76',
  'first_name' => 'raymond',
  'last_name' => 'wood',
  'phone' => '016977 4374',
  'company' => '',
  'street1' => '4760 highfield road',
  'street2' => '',
  'city' => 'New Albany',
  'zone' => '24',
  'postal_code' => '47150',
  'country' => '840',
  'address_name' => '',
  'created' => '1403710061',
  'modified' => '1403710061',
))
->values(array(
  'aid' => '131',
  'uid' => '88',
  'first_name' => 'caroline',
  'last_name' => 'rasmussen',
  'phone' => '69692204',
  'company' => '',
  'street1' => '9388 enghaven',
  'street2' => '',
  'city' => 'Beattyville ',
  'zone' => '27',
  'postal_code' => '41311',
  'country' => '840',
  'address_name' => '',
  'created' => '1408758222',
  'modified' => '1408758222',
))
->values(array(
  'aid' => '141',
  'uid' => '77',
  'first_name' => 'emil',
  'last_name' => 'jensen',
  'phone' => '17159813',
  'company' => '',
  'street1' => '8437 egevænget',
  'street2' => '',
  'city' => 'Sanford',
  'zone' => '18',
  'postal_code' => '32771',
  'country' => '840',
  'address_name' => '',
  'created' => '1446494112',
  'modified' => '1446494112',
))
->values(array(
  'aid' => '144',
  'uid' => '78',
  'first_name' => 'leah',
  'last_name' => 'robinson',
  'phone' => '(833)-952-0739',
  'company' => '',
  'street1' => '1240 pages road',
  'street2' => '',
  'city' => 'Ocala',
  'zone' => '18',
  'postal_code' => '34470',
  'country' => '840',
  'address_name' => '',
  'created' => '1450283519',
  'modified' => '1450283912',
))
->values(array(
  'aid' => '145',
  'uid' => '78',
  'first_name' => 'leah',
  'last_name' => 'robinson',
  'phone' => '(833)-952-0739',
  'company' => '',
  'street1' => '1240 pages road',
  'street2' => '',
  'city' => 'Ocala',
  'zone' => '18',
  'postal_code' => '34474',
  'country' => '840',
  'address_name' => '',
  'created' => '1450283987',
  'modified' => '1450283987',
))
->values(array(
  'aid' => '146',
  'uid' => '78',
  'first_name' => 'leah',
  'last_name' => 'robinson',
  'phone' => '(833)-952-0739',
  'company' => '',
  'street1' => '1240 pages road',
  'street2' => 'Suite 100',
  'city' => 'Ocala',
  'zone' => '18',
  'postal_code' => '34475',
  'country' => '840',
  'address_name' => '',
  'created' => '1450284223',
  'modified' => '1450284223',
))
->execute();

$connection->schema()->createTable('uc_addresses_defaults', array(
  'fields' => array(
    'aid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'uid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
  ),
  'primary key' => array(
    'aid',
    'uid',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('uc_addresses_defaults')
->fields(array(
  'aid',
  'uid',
))
->values(array(
  'aid' => '2',
  'uid' => '6',
))
->values(array(
  'aid' => '4',
  'uid' => '42',
))
->values(array(
  'aid' => '9',
  'uid' => '62',
))
->values(array(
  'aid' => '10',
  'uid' => '75',
))
->values(array(
  'aid' => '11',
  'uid' => '71',
))
->values(array(
  'aid' => '12',
  'uid' => '33',
))
->values(array(
  'aid' => '13',
  'uid' => '78',
))
->values(array(
  'aid' => '15',
  'uid' => '88',
))
->values(array(
  'aid' => '16',
  'uid' => '96',
))
->values(array(
  'aid' => '17',
  'uid' => '63',
))
->values(array(
  'aid' => '21',
  'uid' => '76',
))
->values(array(
  'aid' => '60',
  'uid' => '77',
))
->execute();

$connection->schema()->createTable('uc_attribute_options', array(
  'fields' => array(
    'aid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'oid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'cost' => array(
      'type' => 'numeric',
      'not null' => TRUE,
      'precision' => '16',
      'scale' => '5',
      'default' => '0.00000',
    ),
    'price' => array(
      'type' => 'numeric',
      'not null' => TRUE,
      'precision' => '16',
      'scale' => '5',
      'default' => '0.00000',
    ),
    'weight' => array(
      'type' => 'float',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'ordering' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'oid',
  ),
  'indexes' => array(
    'aid' => array(
      'aid',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('uc_attribute_options')
->fields(array(
  'aid',
  'oid',
  'name',
  'cost',
  'price',
  'weight',
  'ordering',
))
->values(array(
  'aid' => '4',
  'oid' => '7',
  'name' => '100 Set',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'ordering' => '-50',
))
->values(array(
  'aid' => '4',
  'oid' => '8',
  'name' => '200 Set',
  'cost' => '0.00000',
  'price' => '104.02000',
  'weight' => '0',
  'ordering' => '-49',
))
->values(array(
  'aid' => '4',
  'oid' => '9',
  'name' => '300 Set',
  'cost' => '0.00000',
  'price' => '329.33000',
  'weight' => '0',
  'ordering' => '-48',
))
->execute();

$connection->schema()->createTable('uc_attributes', array(
  'fields' => array(
    'aid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'label' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'ordering' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'required' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'display' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '1',
      'unsigned' => TRUE,
    ),
    'description' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
  ),
  'primary key' => array(
    'aid',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('uc_attributes')
->fields(array(
  'aid',
  'name',
  'label',
  'ordering',
  'required',
  'display',
  'description',
))
->values(array(
  'aid' => '4',
  'name' => 'Box count',
  'label' => 'Box count',
  'ordering' => '0',
  'required' => '0',
  'display' => '1',
  'description' => 'Number in box',
))
->execute();

$connection->schema()->createTable('uc_cart_products', array(
  'fields' => array(
    'cart_item_id' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'cart_id' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '0',
    ),
    'nid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'qty' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'changed' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'data' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
  ),
  'primary key' => array(
    'cart_item_id',
  ),
  'indexes' => array(
    'cart_id' => array(
      array(
        'cart_id',
        '191',
      ),
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('uc_cart_products')
->fields(array(
  'cart_item_id',
  'cart_id',
  'nid',
  'qty',
  'changed',
  'data',
))
->values(array(
  'cart_item_id' => '18715',
  'cart_id' => '19',
  'nid' => '120',
  'qty' => '1',
  'changed' => '1396973102',
  'data' => '',
))
->execute();

$connection->schema()->createTable('uc_class_attribute_options', array(
  'fields' => array(
    'pcid' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => '',
    ),
    'oid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'cost' => array(
      'type' => 'numeric',
      'not null' => TRUE,
      'precision' => '16',
      'scale' => '5',
      'default' => '0.00000',
    ),
    'price' => array(
      'type' => 'numeric',
      'not null' => TRUE,
      'precision' => '16',
      'scale' => '5',
      'default' => '0.00000',
    ),
    'weight' => array(
      'type' => 'float',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'ordering' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'pcid',
    'oid',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('uc_class_attributes', array(
  'fields' => array(
    'pcid' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => '',
    ),
    'aid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'label' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'ordering' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'default_option' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'required' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'display' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '1',
      'unsigned' => TRUE,
    ),
  ),
  'primary key' => array(
    'pcid',
    'aid',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('uc_countries', array(
  'fields' => array(
    'country_id' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'country_name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'country_iso_code_2' => array(
      'type' => 'char',
      'not null' => TRUE,
      'length' => '2',
      'default' => '',
    ),
    'country_iso_code_3' => array(
      'type' => 'char',
      'not null' => TRUE,
      'length' => '3',
      'default' => '',
    ),
    'version' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'small',
      'default' => '0',
    ),
    'weight' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'country_id',
  ),
  'indexes' => array(
    'country_name' => array(
      array(
        'country_name',
        '191',
      ),
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('uc_countries')
->fields(array(
  'country_id',
  'country_name',
  'country_iso_code_2',
  'country_iso_code_3',
  'version',
  'weight',
))
->values(array(
  'country_id' => '124',
  'country_name' => 'Canada',
  'country_iso_code_2' => 'CA',
  'country_iso_code_3' => 'CAN',
  'version' => '1',
  'weight' => '0',
))
->values(array(
  'country_id' => '840',
  'country_name' => 'United States',
  'country_iso_code_2' => 'US',
  'country_iso_code_3' => 'USA',
  'version' => '1',
  'weight' => '0',
))
->execute();

$connection->schema()->createTable('uc_order_admin_comments', array(
  'fields' => array(
    'comment_id' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'order_id' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'uid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'message' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
    'created' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'comment_id',
  ),
  'indexes' => array(
    'order_id' => array(
      'order_id',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('uc_order_admin_comments')
->fields(array(
  'comment_id',
  'order_id',
  'uid',
  'message',
  'created',
))
->values(array(
  'comment_id' => '72',
  'order_id' => '79',
  'uid' => '0',
  'message' => 'Order created through website.',
  'created' => '1306915367',
))
->values(array(
  'comment_id' => '73',
  'order_id' => '81',
  'uid' => '0',
  'message' => 'Order created through website.',
  'created' => '1307314767',
))
->values(array(
  'comment_id' => '74',
  'order_id' => '82',
  'uid' => '0',
  'message' => 'Order created through website.',
  'created' => '1307708046',
))
->values(array(
  'comment_id' => '75',
  'order_id' => '83',
  'uid' => '0',
  'message' => 'Order created through website.',
  'created' => '1307996755',
))
->values(array(
  'comment_id' => '76',
  'order_id' => '84',
  'uid' => '0',
  'message' => 'Order created through website.',
  'created' => '1307999437',
))
->values(array(
  'comment_id' => '77',
  'order_id' => '85',
  'uid' => '0',
  'message' => 'Order created through website.',
  'created' => '1308090490',
))
->values(array(
  'comment_id' => '78',
  'order_id' => '85',
  'uid' => '0',
  'message' => 'Order created through website.',
  'created' => '1308090490',
))
->values(array(
  'comment_id' => '79',
  'order_id' => '86',
  'uid' => '0',
  'message' => 'Order created through website.',
  'created' => '1308343389',
))
->values(array(
  'comment_id' => '80',
  'order_id' => '87',
  'uid' => '0',
  'message' => 'Order created through website.',
  'created' => '1308704899',
))
->values(array(
  'comment_id' => '81',
  'order_id' => '88',
  'uid' => '0',
  'message' => 'Order created through website.',
  'created' => '1308830451',
))
->execute();

$connection->schema()->createTable('uc_order_comments', array(
  'fields' => array(
    'comment_id' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'order_id' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'uid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'order_status' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => '',
    ),
    'notified' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'message' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
    'created' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'comment_id',
  ),
  'indexes' => array(
    'order_id' => array(
      'order_id',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('uc_order_line_items', array(
  'fields' => array(
    'line_item_id' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'order_id' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'type' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => '',
    ),
    'title' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'amount' => array(
      'type' => 'numeric',
      'not null' => TRUE,
      'precision' => '16',
      'scale' => '5',
      'default' => '0.00000',
    ),
    'weight' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'small',
      'default' => '0',
    ),
    'data' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
  ),
  'primary key' => array(
    'line_item_id',
  ),
  'indexes' => array(
    'order_id' => array(
      'order_id',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('uc_order_log', array(
  'fields' => array(
    'order_log_id' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'order_id' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'uid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'changes' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
    'created' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'order_log_id',
  ),
  'indexes' => array(
    'order_id' => array(
      'order_id',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('uc_order_log')
->fields(array(
  'order_log_id',
  'order_id',
  'uid',
  'changes',
  'created',
))
->values(array(
  'order_log_id' => '112',
  'order_id' => '79',
  'uid' => '62',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first last\">Order status changed from <em>In checkout</em> to <em>Pending</em>.</li>\n</ul></div>",
  'created' => '1306915366',
))
->values(array(
  'order_log_id' => '113',
  'order_id' => '79',
  'uid' => '62',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first last\">Order status changed from <em>Pending</em> to <em>Completed</em>.</li>\n</ul></div>",
  'created' => '1306915367',
))
->values(array(
  'order_log_id' => '114',
  'order_id' => '81',
  'uid' => '75',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first last\">Order status changed from <em>In checkout</em> to <em>Pending</em>.</li>\n</ul></div>",
  'created' => '1307314766',
))
->values(array(
  'order_log_id' => '115',
  'order_id' => '81',
  'uid' => '75',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first last\">Order status changed from <em>Pending</em> to <em>Completed</em>.</li>\n</ul></div>",
  'created' => '1307314767',
))
->values(array(
  'order_log_id' => '116',
  'order_id' => '82',
  'uid' => '71',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first last\">Order status changed from <em>In checkout</em> to <em>Pending</em>.</li>\n</ul></div>",
  'created' => '1307708045',
))
->values(array(
  'order_log_id' => '117',
  'order_id' => '82',
  'uid' => '71',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first last\">Order status changed from <em>Pending</em> to <em>Completed</em>.</li>\n</ul></div>",
  'created' => '1307708046',
))
->values(array(
  'order_log_id' => '118',
  'order_id' => '83',
  'uid' => '33',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first last\">Order status changed from <em>In checkout</em> to <em>Pending</em>.</li>\n</ul></div>",
  'created' => '1307996754',
))
->values(array(
  'order_log_id' => '119',
  'order_id' => '83',
  'uid' => '33',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first last\">Order status changed from <em>Pending</em> to <em>Completed</em>.</li>\n</ul></div>",
  'created' => '1307996755',
))
->values(array(
  'order_log_id' => '120',
  'order_id' => '84',
  'uid' => '78',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first last\">Order status changed from <em>In checkout</em> to <em>Pending</em>.</li>\n</ul></div>",
  'created' => '1307999436',
))
->values(array(
  'order_log_id' => '121',
  'order_id' => '84',
  'uid' => '78',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first last\">Order status changed from <em>Pending</em> to <em>Completed</em>.</li>\n</ul></div>",
  'created' => '1307999436',
))
->values(array(
  'order_log_id' => '122',
  'order_id' => '85',
  'uid' => '88',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first last\">Order status changed from <em>In checkout</em> to <em>Pending</em>.</li>\n</ul></div>",
  'created' => '1308090490',
))
->values(array(
  'order_log_id' => '123',
  'order_id' => '85',
  'uid' => '88',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first last\">Order status changed from <em>In checkout</em> to <em>Pending</em>.</li>\n</ul></div>",
  'created' => '1308090490',
))
->values(array(
  'order_log_id' => '124',
  'order_id' => '85',
  'uid' => '88',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first last\">Order status changed from <em>Pending</em> to <em>Completed</em>.</li>\n</ul></div>",
  'created' => '1308090490',
))
->values(array(
  'order_log_id' => '125',
  'order_id' => '85',
  'uid' => '88',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first last\">Order status changed from <em>Pending</em> to <em>Completed</em>.</li>\n</ul></div>",
  'created' => '1308090490',
))
->values(array(
  'order_log_id' => '126',
  'order_id' => '86',
  'uid' => '96',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first last\">Order status changed from <em>In checkout</em> to <em>Pending</em>.</li>\n</ul></div>",
  'created' => '1308343388',
))
->values(array(
  'order_log_id' => '127',
  'order_id' => '86',
  'uid' => '96',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first last\">Order status changed from <em>Pending</em> to <em>Completed</em>.</li>\n</ul></div>",
  'created' => '1308343389',
))
->values(array(
  'order_log_id' => '128',
  'order_id' => '87',
  'uid' => '63',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first last\">Order status changed from <em>In checkout</em> to <em>Pending</em>.</li>\n</ul></div>",
  'created' => '1308704898',
))
->values(array(
  'order_log_id' => '129',
  'order_id' => '87',
  'uid' => '63',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first last\">Order status changed from <em>Pending</em> to <em>Completed</em>.</li>\n</ul></div>",
  'created' => '1308704899',
))
->values(array(
  'order_log_id' => '130',
  'order_id' => '88',
  'uid' => '42',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first last\">Order status changed from <em>In checkout</em> to <em>Pending</em>.</li>\n</ul></div>",
  'created' => '1308830451',
))
->values(array(
  'order_log_id' => '131',
  'order_id' => '88',
  'uid' => '42',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first last\">Order status changed from <em>Pending</em> to <em>Completed</em>.</li>\n</ul></div>",
  'created' => '1308830451',
))
->execute();

$connection->schema()->createTable('uc_order_products', array(
  'fields' => array(
    'order_product_id' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'order_id' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'nid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'title' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'manufacturer' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => '',
    ),
    'model' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'qty' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'cost' => array(
      'type' => 'numeric',
      'not null' => TRUE,
      'precision' => '16',
      'scale' => '5',
      'default' => '0.00000',
    ),
    'price' => array(
      'type' => 'numeric',
      'not null' => TRUE,
      'precision' => '16',
      'scale' => '5',
      'default' => '0.00000',
    ),
    'weight' => array(
      'type' => 'float',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'data' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
  ),
  'primary key' => array(
    'order_product_id',
  ),
  'indexes' => array(
    'order_id' => array(
      'order_id',
    ),
    'qty' => array(
      'qty',
    ),
    'nid' => array(
      'nid',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('uc_order_products')
->fields(array(
  'order_product_id',
  'order_id',
  'nid',
  'title',
  'manufacturer',
  'model',
  'qty',
  'cost',
  'price',
  'weight',
  'data',
))
->values(array(
  'order_product_id' => '126',
  'order_id' => '78',
  'nid' => '28',
  'title' => 'Product 28',
  'manufacturer' => '',
  'model' => 'MODEL-28',
  'qty' => '5',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '127',
  'order_id' => '78',
  'nid' => '29',
  'title' => 'Product 29',
  'manufacturer' => '',
  'model' => 'MODEL-29',
  'qty' => '1',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '128',
  'order_id' => '79',
  'nid' => '30',
  'title' => 'Product 30',
  'manufacturer' => '',
  'model' => 'MODEL-30',
  'qty' => '1',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '129',
  'order_id' => '79',
  'nid' => '31',
  'title' => 'Product 31',
  'manufacturer' => '',
  'model' => 'MODEL-31',
  'qty' => '1',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '130',
  'order_id' => '79',
  'nid' => '27',
  'title' => 'Product 27',
  'manufacturer' => '',
  'model' => 'MODEL-27',
  'qty' => '1',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '131',
  'order_id' => '79',
  'nid' => '132',
  'title' => 'Product 132',
  'manufacturer' => '',
  'model' => 'MODEL-132',
  'qty' => '1',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '132',
  'order_id' => '79',
  'nid' => '122',
  'title' => 'Product 122',
  'manufacturer' => '',
  'model' => 'MODEL-122',
  'qty' => '1',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '133',
  'order_id' => '79',
  'nid' => '124',
  'title' => 'Product 124',
  'manufacturer' => '',
  'model' => 'MODEL-124',
  'qty' => '1',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '134',
  'order_id' => '79',
  'nid' => '128',
  'title' => 'Product 128',
  'manufacturer' => '',
  'model' => 'MODEL-128',
  'qty' => '1',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '135',
  'order_id' => '79',
  'nid' => '130',
  'title' => 'Product 130',
  'manufacturer' => '',
  'model' => 'MODEL-130',
  'qty' => '1',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '136',
  'order_id' => '79',
  'nid' => '120',
  'title' => 'Product 120',
  'manufacturer' => '',
  'model' => 'MODEL-120',
  'qty' => '1',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '137',
  'order_id' => '79',
  'nid' => '118',
  'title' => 'Product 118',
  'manufacturer' => '',
  'model' => 'MODEL-118',
  'qty' => '1',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '138',
  'order_id' => '79',
  'nid' => '116',
  'title' => 'Product 116',
  'manufacturer' => '',
  'model' => 'MODEL-116',
  'qty' => '1',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '139',
  'order_id' => '79',
  'nid' => '112',
  'title' => 'Product 112',
  'manufacturer' => '',
  'model' => 'MODEL-112',
  'qty' => '1',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '140',
  'order_id' => '79',
  'nid' => '114',
  'title' => 'Product 114',
  'manufacturer' => '',
  'model' => 'MODEL-114',
  'qty' => '1',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '141',
  'order_id' => '79',
  'nid' => '27',
  'title' => 'Product 27',
  'manufacturer' => '',
  'model' => 'MODEL-27',
  'qty' => '1',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '142',
  'order_id' => '80',
  'nid' => '48',
  'title' => 'Product 48',
  'manufacturer' => '',
  'model' => 'MODEL-48',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '143',
  'order_id' => '80',
  'nid' => '43',
  'title' => 'Product 43',
  'manufacturer' => '',
  'model' => 'MODEL-43',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '144',
  'order_id' => '80',
  'nid' => '42',
  'title' => 'Product 42',
  'manufacturer' => '',
  'model' => 'MODEL-42',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '145',
  'order_id' => '80',
  'nid' => '40',
  'title' => 'Product 40',
  'manufacturer' => '',
  'model' => 'MODEL-40',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '146',
  'order_id' => '80',
  'nid' => '39',
  'title' => 'Product 39',
  'manufacturer' => '',
  'model' => 'MODEL-39',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '147',
  'order_id' => '80',
  'nid' => '31',
  'title' => 'Product 31',
  'manufacturer' => '',
  'model' => 'MODEL-31',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '148',
  'order_id' => '80',
  'nid' => '30',
  'title' => 'Product 30',
  'manufacturer' => '',
  'model' => 'MODEL-30',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '149',
  'order_id' => '80',
  'nid' => '29',
  'title' => 'Product 29',
  'manufacturer' => '',
  'model' => 'MODEL-29',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '150',
  'order_id' => '80',
  'nid' => '28',
  'title' => 'Product 28',
  'manufacturer' => '',
  'model' => 'MODEL-28',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '151',
  'order_id' => '80',
  'nid' => '27',
  'title' => 'Product 27',
  'manufacturer' => '',
  'model' => 'MODEL-27',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '152',
  'order_id' => '80',
  'nid' => '132',
  'title' => 'Product 132',
  'manufacturer' => '',
  'model' => 'MODEL-132',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '153',
  'order_id' => '80',
  'nid' => '130',
  'title' => 'Product 130',
  'manufacturer' => '',
  'model' => 'MODEL-130',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '154',
  'order_id' => '80',
  'nid' => '128',
  'title' => 'Product 128',
  'manufacturer' => '',
  'model' => 'MODEL-128',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '155',
  'order_id' => '80',
  'nid' => '124',
  'title' => 'Product 124',
  'manufacturer' => '',
  'model' => 'MODEL-124',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '156',
  'order_id' => '81',
  'nid' => '122',
  'title' => 'Product 122',
  'manufacturer' => '',
  'model' => 'MODEL-122',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '157',
  'order_id' => '81',
  'nid' => '120',
  'title' => 'Product 120',
  'manufacturer' => '',
  'model' => 'MODEL-120',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '158',
  'order_id' => '81',
  'nid' => '118',
  'title' => 'Product 118',
  'manufacturer' => '',
  'model' => 'MODEL-118',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '159',
  'order_id' => '81',
  'nid' => '116',
  'title' => 'Product 116',
  'manufacturer' => '',
  'model' => 'MODEL-116',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '160',
  'order_id' => '81',
  'nid' => '114',
  'title' => 'Product 114',
  'manufacturer' => '',
  'model' => 'MODEL-114',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '161',
  'order_id' => '81',
  'nid' => '112',
  'title' => 'Product 112',
  'manufacturer' => '',
  'model' => 'MODEL-112',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '162',
  'order_id' => '81',
  'nid' => '48',
  'title' => 'Product 48',
  'manufacturer' => '',
  'model' => 'MODEL-48',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '163',
  'order_id' => '81',
  'nid' => '43',
  'title' => 'Product 43',
  'manufacturer' => '',
  'model' => 'MODEL-43',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '164',
  'order_id' => '81',
  'nid' => '42',
  'title' => 'Product 42',
  'manufacturer' => '',
  'model' => 'MODEL-42',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '165',
  'order_id' => '81',
  'nid' => '40',
  'title' => 'Product 40',
  'manufacturer' => '',
  'model' => 'MODEL-40',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '166',
  'order_id' => '81',
  'nid' => '39',
  'title' => 'Product 39',
  'manufacturer' => '',
  'model' => 'MODEL-39',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '167',
  'order_id' => '81',
  'nid' => '31',
  'title' => 'Product 31',
  'manufacturer' => '',
  'model' => 'MODEL-31',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '168',
  'order_id' => '81',
  'nid' => '30',
  'title' => 'Product 30',
  'manufacturer' => '',
  'model' => 'MODEL-30',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '169',
  'order_id' => '81',
  'nid' => '29',
  'title' => 'Product 29',
  'manufacturer' => '',
  'model' => 'MODEL-29',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '170',
  'order_id' => '82',
  'nid' => '28',
  'title' => 'Product 28',
  'manufacturer' => '',
  'model' => 'MODEL-28',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '171',
  'order_id' => '82',
  'nid' => '27',
  'title' => 'Product 27',
  'manufacturer' => '',
  'model' => 'MODEL-27',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '172',
  'order_id' => '82',
  'nid' => '132',
  'title' => 'Product 132',
  'manufacturer' => '',
  'model' => 'MODEL-132',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '173',
  'order_id' => '82',
  'nid' => '130',
  'title' => 'Product 130',
  'manufacturer' => '',
  'model' => 'MODEL-130',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '174',
  'order_id' => '82',
  'nid' => '128',
  'title' => 'Product 128',
  'manufacturer' => '',
  'model' => 'MODEL-128',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '175',
  'order_id' => '82',
  'nid' => '124',
  'title' => 'Product 124',
  'manufacturer' => '',
  'model' => 'MODEL-124',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '176',
  'order_id' => '82',
  'nid' => '122',
  'title' => 'Product 122',
  'manufacturer' => '',
  'model' => 'MODEL-122',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '177',
  'order_id' => '82',
  'nid' => '120',
  'title' => 'Product 120',
  'manufacturer' => '',
  'model' => 'MODEL-120',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '178',
  'order_id' => '83',
  'nid' => '118',
  'title' => 'Product 118',
  'manufacturer' => '',
  'model' => 'MODEL-118',
  'qty' => '5',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '179',
  'order_id' => '83',
  'nid' => '116',
  'title' => 'Product 116',
  'manufacturer' => '',
  'model' => 'MODEL-116',
  'qty' => '5',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '180',
  'order_id' => '83',
  'nid' => '114',
  'title' => 'Product 114',
  'manufacturer' => '',
  'model' => 'MODEL-114',
  'qty' => '5',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '181',
  'order_id' => '83',
  'nid' => '112',
  'title' => 'Product 112',
  'manufacturer' => '',
  'model' => 'MODEL-112',
  'qty' => '5',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '182',
  'order_id' => '83',
  'nid' => '48',
  'title' => 'Product 48',
  'manufacturer' => '',
  'model' => 'MODEL-48',
  'qty' => '5',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '183',
  'order_id' => '83',
  'nid' => '43',
  'title' => 'Product 43',
  'manufacturer' => '',
  'model' => 'MODEL-43',
  'qty' => '5',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '184',
  'order_id' => '83',
  'nid' => '42',
  'title' => 'Product 42',
  'manufacturer' => '',
  'model' => 'MODEL-42',
  'qty' => '5',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '185',
  'order_id' => '83',
  'nid' => '40',
  'title' => 'Product 40',
  'manufacturer' => '',
  'model' => 'MODEL-40',
  'qty' => '5',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '186',
  'order_id' => '83',
  'nid' => '39',
  'title' => 'Product 39',
  'manufacturer' => '',
  'model' => 'MODEL-39',
  'qty' => '5',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '187',
  'order_id' => '83',
  'nid' => '31',
  'title' => 'Product 31',
  'manufacturer' => '',
  'model' => 'MODEL-31',
  'qty' => '5',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '188',
  'order_id' => '83',
  'nid' => '30',
  'title' => 'Product 30',
  'manufacturer' => '',
  'model' => 'MODEL-30',
  'qty' => '5',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '189',
  'order_id' => '83',
  'nid' => '29',
  'title' => 'Product 29',
  'manufacturer' => '',
  'model' => 'MODEL-29',
  'qty' => '5',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '190',
  'order_id' => '83',
  'nid' => '28',
  'title' => 'Product 28',
  'manufacturer' => '',
  'model' => 'MODEL-28',
  'qty' => '5',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '191',
  'order_id' => '83',
  'nid' => '27',
  'title' => 'Product 27',
  'manufacturer' => '',
  'model' => 'MODEL-27',
  'qty' => '5',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '192',
  'order_id' => '84',
  'nid' => '132',
  'title' => 'Product 132',
  'manufacturer' => '',
  'model' => 'MODEL-132',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '193',
  'order_id' => '84',
  'nid' => '130',
  'title' => 'Product 130',
  'manufacturer' => '',
  'model' => 'MODEL-130',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '194',
  'order_id' => '84',
  'nid' => '124',
  'title' => 'Product 124',
  'manufacturer' => '',
  'model' => 'MODEL-124',
  'qty' => '1',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '195',
  'order_id' => '84',
  'nid' => '128',
  'title' => 'Product 128',
  'manufacturer' => '',
  'model' => 'MODEL-128',
  'qty' => '3',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '196',
  'order_id' => '84',
  'nid' => '120',
  'title' => 'Product 120',
  'manufacturer' => '',
  'model' => 'MODEL-120',
  'qty' => '3',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '197',
  'order_id' => '84',
  'nid' => '118',
  'title' => 'Product 118',
  'manufacturer' => '',
  'model' => 'MODEL-118',
  'qty' => '3',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '198',
  'order_id' => '84',
  'nid' => '116',
  'title' => 'Product 116',
  'manufacturer' => '',
  'model' => 'MODEL-116',
  'qty' => '3',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '199',
  'order_id' => '84',
  'nid' => '114',
  'title' => 'Product 114',
  'manufacturer' => '',
  'model' => 'MODEL-114',
  'qty' => '3',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '200',
  'order_id' => '84',
  'nid' => '112',
  'title' => 'Product 112',
  'manufacturer' => '',
  'model' => 'MODEL-112',
  'qty' => '3',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '201',
  'order_id' => '84',
  'nid' => '29',
  'title' => 'Product 29',
  'manufacturer' => '',
  'model' => 'MODEL-29',
  'qty' => '3',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '202',
  'order_id' => '84',
  'nid' => '30',
  'title' => 'Product 30',
  'manufacturer' => '',
  'model' => 'MODEL-30',
  'qty' => '3',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '203',
  'order_id' => '84',
  'nid' => '31',
  'title' => 'Product 31',
  'manufacturer' => '',
  'model' => 'MODEL-31',
  'qty' => '3',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '204',
  'order_id' => '84',
  'nid' => '39',
  'title' => 'Product 39',
  'manufacturer' => '',
  'model' => 'MODEL-39',
  'qty' => '1',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '205',
  'order_id' => '84',
  'nid' => '40',
  'title' => 'Product 40',
  'manufacturer' => '',
  'model' => 'MODEL-40',
  'qty' => '3',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '206',
  'order_id' => '84',
  'nid' => '28',
  'title' => 'Product 28',
  'manufacturer' => '',
  'model' => 'MODEL-28',
  'qty' => '3',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '207',
  'order_id' => '84',
  'nid' => '27',
  'title' => 'Product 27',
  'manufacturer' => '',
  'model' => 'MODEL-27',
  'qty' => '3',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '208',
  'order_id' => '85',
  'nid' => '42',
  'title' => 'Product 42',
  'manufacturer' => '',
  'model' => 'MODEL-42',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '209',
  'order_id' => '85',
  'nid' => '43',
  'title' => 'Product 43',
  'manufacturer' => '',
  'model' => 'MODEL-43',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '210',
  'order_id' => '85',
  'nid' => '48',
  'title' => 'Product 48',
  'manufacturer' => '',
  'model' => 'MODEL-48',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '211',
  'order_id' => '85',
  'nid' => '39',
  'title' => 'Product 39',
  'manufacturer' => '',
  'model' => 'MODEL-39',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '212',
  'order_id' => '85',
  'nid' => '40',
  'title' => 'Product 40',
  'manufacturer' => '',
  'model' => 'MODEL-40',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '213',
  'order_id' => '85',
  'nid' => '42',
  'title' => 'Product 42',
  'manufacturer' => '',
  'model' => 'MODEL-42',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '214',
  'order_id' => '85',
  'nid' => '43',
  'title' => 'Product 43',
  'manufacturer' => '',
  'model' => 'MODEL-43',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '215',
  'order_id' => '85',
  'nid' => '48',
  'title' => 'Product 48',
  'manufacturer' => '',
  'model' => 'MODEL-48',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '216',
  'order_id' => '85',
  'nid' => '112',
  'title' => 'Product 112',
  'manufacturer' => '',
  'model' => 'MODEL-112',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '217',
  'order_id' => '85',
  'nid' => '114',
  'title' => 'Product 114',
  'manufacturer' => '',
  'model' => 'MODEL-114',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '218',
  'order_id' => '85',
  'nid' => '116',
  'title' => 'Product 116',
  'manufacturer' => '',
  'model' => 'MODEL-116',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '219',
  'order_id' => '85',
  'nid' => '118',
  'title' => 'Product 118',
  'manufacturer' => '',
  'model' => 'MODEL-118',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '220',
  'order_id' => '85',
  'nid' => '120',
  'title' => 'Product 120',
  'manufacturer' => '',
  'model' => 'MODEL-120',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '221',
  'order_id' => '85',
  'nid' => '122',
  'title' => 'Product 122',
  'manufacturer' => '',
  'model' => 'MODEL-122',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '222',
  'order_id' => '86',
  'nid' => '124',
  'title' => 'Product 124',
  'manufacturer' => '',
  'model' => 'MODEL-124',
  'qty' => '11',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '223',
  'order_id' => '86',
  'nid' => '128',
  'title' => 'Product 128',
  'manufacturer' => '',
  'model' => 'MODEL-128',
  'qty' => '10',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '224',
  'order_id' => '86',
  'nid' => '130',
  'title' => 'Product 130',
  'manufacturer' => '',
  'model' => 'MODEL-130',
  'qty' => '11',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '225',
  'order_id' => '86',
  'nid' => '132',
  'title' => 'Product 132',
  'manufacturer' => '',
  'model' => 'MODEL-132',
  'qty' => '10',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '226',
  'order_id' => '86',
  'nid' => '27',
  'title' => 'Product 27',
  'manufacturer' => '',
  'model' => 'MODEL-27',
  'qty' => '11',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '227',
  'order_id' => '86',
  'nid' => '28',
  'title' => 'Product 28',
  'manufacturer' => '',
  'model' => 'MODEL-28',
  'qty' => '9',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '228',
  'order_id' => '86',
  'nid' => '29',
  'title' => 'Product 29',
  'manufacturer' => '',
  'model' => 'MODEL-29',
  'qty' => '1',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '229',
  'order_id' => '86',
  'nid' => '30',
  'title' => 'Product 30',
  'manufacturer' => '',
  'model' => 'MODEL-30',
  'qty' => '10',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '230',
  'order_id' => '86',
  'nid' => '31',
  'title' => 'Product 31',
  'manufacturer' => '',
  'model' => 'MODEL-31',
  'qty' => '10',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '231',
  'order_id' => '86',
  'nid' => '39',
  'title' => 'Product 39',
  'manufacturer' => '',
  'model' => 'MODEL-39',
  'qty' => '10',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '232',
  'order_id' => '86',
  'nid' => '40',
  'title' => 'Product 40',
  'manufacturer' => '',
  'model' => 'MODEL-40',
  'qty' => '10',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '233',
  'order_id' => '86',
  'nid' => '42',
  'title' => 'Product 42',
  'manufacturer' => '',
  'model' => 'MODEL-42',
  'qty' => '11',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '234',
  'order_id' => '86',
  'nid' => '43',
  'title' => 'Product 43',
  'manufacturer' => '',
  'model' => 'MODEL-43',
  'qty' => '10',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '235',
  'order_id' => '86',
  'nid' => '48',
  'title' => 'Product 48',
  'manufacturer' => '',
  'model' => 'MODEL-48',
  'qty' => '1',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '236',
  'order_id' => '86',
  'nid' => '112',
  'title' => 'Product 112',
  'manufacturer' => '',
  'model' => 'MODEL-112',
  'qty' => '10',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '237',
  'order_id' => '86',
  'nid' => '114',
  'title' => 'Product 114',
  'manufacturer' => '',
  'model' => 'MODEL-114',
  'qty' => '11',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '238',
  'order_id' => '87',
  'nid' => '116',
  'title' => 'Product 116',
  'manufacturer' => '',
  'model' => 'MODEL-116',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '239',
  'order_id' => '87',
  'nid' => '118',
  'title' => 'Product 118',
  'manufacturer' => '',
  'model' => 'MODEL-118',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '240',
  'order_id' => '87',
  'nid' => '128',
  'title' => 'Product 128',
  'manufacturer' => '',
  'model' => 'MODEL-128',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '241',
  'order_id' => '87',
  'nid' => '122',
  'title' => 'Product 122',
  'manufacturer' => '',
  'model' => 'MODEL-122',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '242',
  'order_id' => '87',
  'nid' => '124',
  'title' => 'Product 124',
  'manufacturer' => '',
  'model' => 'MODEL-124',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '243',
  'order_id' => '87',
  'nid' => '128',
  'title' => 'Product 128',
  'manufacturer' => '',
  'model' => 'MODEL-128',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '244',
  'order_id' => '87',
  'nid' => '130',
  'title' => 'Product 130',
  'manufacturer' => '',
  'model' => 'MODEL-130',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '245',
  'order_id' => '87',
  'nid' => '132',
  'title' => 'Product 132',
  'manufacturer' => '',
  'model' => 'MODEL-132',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '246',
  'order_id' => '87',
  'nid' => '27',
  'title' => 'Product 27',
  'manufacturer' => '',
  'model' => 'MODEL-27',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '247',
  'order_id' => '87',
  'nid' => '28',
  'title' => 'Product 28',
  'manufacturer' => '',
  'model' => 'MODEL-28',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '248',
  'order_id' => '88',
  'nid' => '29',
  'title' => 'Product 29',
  'manufacturer' => '',
  'model' => 'MODEL-29',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '249',
  'order_id' => '88',
  'nid' => '30',
  'title' => 'Product 30',
  'manufacturer' => '',
  'model' => 'MODEL-30',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '250',
  'order_id' => '88',
  'nid' => '31',
  'title' => 'Product 31',
  'manufacturer' => '',
  'model' => 'MODEL-31',
  'qty' => '1',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '251',
  'order_id' => '88',
  'nid' => '39',
  'title' => 'Product 39',
  'manufacturer' => '',
  'model' => 'MODEL-39',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '252',
  'order_id' => '88',
  'nid' => '40',
  'title' => 'Product 40',
  'manufacturer' => '',
  'model' => 'MODEL-40',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '253',
  'order_id' => '88',
  'nid' => '42',
  'title' => 'Product 42',
  'manufacturer' => '',
  'model' => 'MODEL-42',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '254',
  'order_id' => '88',
  'nid' => '43',
  'title' => 'Product 43',
  'manufacturer' => '',
  'model' => 'MODEL-43',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '255',
  'order_id' => '88',
  'nid' => '48',
  'title' => 'Product 48',
  'manufacturer' => '',
  'model' => 'MODEL-48',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '256',
  'order_id' => '88',
  'nid' => '112',
  'title' => 'Product 112',
  'manufacturer' => '',
  'model' => 'MODEL-112',
  'qty' => '1',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '257',
  'order_id' => '88',
  'nid' => '114',
  'title' => 'Product 114',
  'manufacturer' => '',
  'model' => 'MODEL-114',
  'qty' => '1',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '258',
  'order_id' => '88',
  'nid' => '116',
  'title' => 'Product 116',
  'manufacturer' => '',
  'model' => 'MODEL-116',
  'qty' => '1',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->values(array(
  'order_product_id' => '259',
  'order_id' => '88',
  'nid' => '118',
  'title' => 'Product 118',
  'manufacturer' => '',
  'model' => 'MODEL-118',
  'qty' => '2',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'data' => '',
))
->execute();

$connection->schema()->createTable('uc_order_statuses', array(
  'fields' => array(
    'order_status_id' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => '',
    ),
    'title' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '48',
      'default' => '',
    ),
    'state' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => '',
    ),
    'weight' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'small',
      'default' => '0',
    ),
    'locked' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
      'unsigned' => TRUE,
    ),
  ),
  'primary key' => array(
    'order_status_id',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('uc_order_statuses')
->fields(array(
  'order_status_id',
  'title',
  'state',
  'weight',
  'locked',
))
->values(array(
  'order_status_id' => 'canceled',
  'title' => 'Canceled',
  'state' => 'canceled',
  'weight' => '-20',
  'locked' => '1',
))
->values(array(
  'order_status_id' => 'completed',
  'title' => 'Completed',
  'state' => 'completed',
  'weight' => '20',
  'locked' => '1',
))
->values(array(
  'order_status_id' => 'in_checkout',
  'title' => 'In checkout',
  'state' => 'in_checkout',
  'weight' => '-10',
  'locked' => '1',
))
->values(array(
  'order_status_id' => 'payment_received',
  'title' => 'Payment received',
  'state' => 'payment_received',
  'weight' => '10',
  'locked' => '1',
))
->values(array(
  'order_status_id' => 'pending',
  'title' => 'Pending',
  'state' => 'post_checkout',
  'weight' => '0',
  'locked' => '1',
))
->values(array(
  'order_status_id' => 'processing',
  'title' => 'Processing',
  'state' => 'post_checkout',
  'weight' => '5',
  'locked' => '1',
))
->execute();

$connection->schema()->createTable('uc_orders', array(
  'fields' => array(
    'order_id' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'uid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'order_status' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => '',
    ),
    'order_total' => array(
      'type' => 'numeric',
      'not null' => TRUE,
      'precision' => '16',
      'scale' => '5',
      'default' => '0.00000',
    ),
    'product_count' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'primary_email' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '96',
      'default' => '',
    ),
    'delivery_first_name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'delivery_last_name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'delivery_phone' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'delivery_company' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'delivery_street1' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'delivery_street2' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'delivery_city' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'delivery_zone' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'medium',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'delivery_postal_code' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'delivery_country' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'medium',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'billing_first_name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'billing_last_name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'billing_phone' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'billing_company' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'billing_street1' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'billing_street2' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'billing_city' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'billing_zone' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'medium',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'billing_postal_code' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'billing_country' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'medium',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'payment_method' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => '',
    ),
    'data' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
    'created' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'modified' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'host' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'currency' => array(
      'type' => 'char',
      'not null' => TRUE,
      'length' => '3',
      'default' => '',
    ),
  ),
  'primary key' => array(
    'order_id',
  ),
  'indexes' => array(
    'uid' => array(
      'uid',
    ),
    'order_status' => array(
      'order_status',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('uc_orders')
->fields(array(
  'order_id',
  'uid',
  'order_status',
  'order_total',
  'product_count',
  'primary_email',
  'delivery_first_name',
  'delivery_last_name',
  'delivery_phone',
  'delivery_company',
  'delivery_street1',
  'delivery_street2',
  'delivery_city',
  'delivery_zone',
  'delivery_postal_code',
  'delivery_country',
  'billing_first_name',
  'billing_last_name',
  'billing_phone',
  'billing_company',
  'billing_street1',
  'billing_street2',
  'billing_city',
  'billing_zone',
  'billing_postal_code',
  'billing_country',
  'payment_method',
  'data',
  'created',
  'modified',
  'host',
  'currency',
))
->values(array(
  'order_id' => '78',
  'uid' => '6',
  'order_status' => 'in_checkout',
  'order_total' => '0.00000',
  'product_count' => '6',
  'primary_email' => 'maeva.slawa@example.com',
  'delivery_first_name' => '',
  'delivery_last_name' => '',
  'delivery_phone' => '',
  'delivery_company' => '',
  'delivery_street1' => '',
  'delivery_street2' => '',
  'delivery_city' => '',
  'delivery_zone' => '0',
  'delivery_postal_code' => '',
  'delivery_country' => '840',
  'billing_first_name' => 'claude',
  'billing_last_name' => 'phillips',
  'billing_phone' => '017684 25628',
  'billing_company' => '',
  'billing_street1' => '6554 windsor road',
  'billing_street2' => 'Suite 510',
  'billing_city' => 'Chicago',
  'billing_zone' => '23',
  'billing_postal_code' => '60654',
  'billing_country' => '840',
  'payment_method' => 'check',
  'data' => 'a:1:{s:7:"cc_data";s:9:"fake hash";}',
  'created' => '1306876624',
  'modified' => '1306876784',
  'host' => '192.0.2.1',
  'currency' => 'USD',
))
->values(array(
  'order_id' => '79',
  'uid' => '62',
  'order_status' => 'completed',
  'order_total' => '0.00000',
  'product_count' => '14',
  'primary_email' => 'vanessa.schreiber@example.com',
  'delivery_first_name' => '',
  'delivery_last_name' => '',
  'delivery_phone' => '',
  'delivery_company' => '',
  'delivery_street1' => '',
  'delivery_street2' => '',
  'delivery_city' => '',
  'delivery_zone' => '0',
  'delivery_postal_code' => '',
  'delivery_country' => '840',
  'billing_first_name' => 'martha',
  'billing_last_name' => 'butler',
  'billing_phone' => '(409)-886-9729',
  'billing_company' => '',
  'billing_street1' => '6254 w belt line rd',
  'billing_street2' => '',
  'billing_city' => 'richmond',
  'billing_zone' => '27',
  'billing_postal_code' => '40475',
  'billing_country' => '840',
  'payment_method' => 'check',
  'data' => 'N;',
  'created' => '1306915340',
  'modified' => '1306915367',
  'host' => '192.0.2.2',
  'currency' => 'USD',
))
->values(array(
  'order_id' => '80',
  'uid' => '75',
  'order_status' => 'in_checkout',
  'order_total' => '0.00000',
  'product_count' => '28',
  'primary_email' => 'lauri.saksa@example.com',
  'delivery_first_name' => '',
  'delivery_last_name' => '',
  'delivery_phone' => '',
  'delivery_company' => '',
  'delivery_street1' => '',
  'delivery_street2' => '',
  'delivery_city' => '',
  'delivery_zone' => '0',
  'delivery_postal_code' => '',
  'delivery_country' => '840',
  'billing_first_name' => 'محمدعلی',
  'billing_last_name' => 'حیدری',
  'billing_phone' => '080-85205558',
  'billing_company' => '',
  'billing_street1' => '2567 میدان سلماس',
  'billing_street2' => '',
  'billing_city' => 'Newark',
  'billing_zone' => '47',
  'billing_postal_code' => '43055',
  'billing_country' => '840',
  'payment_method' => 'check',
  'data' => 'N;',
  'created' => '1307314537',
  'modified' => '1307314537',
  'host' => '192.0.2.3',
  'currency' => 'USD',
))
->values(array(
  'order_id' => '81',
  'uid' => '75',
  'order_status' => 'completed',
  'order_total' => '0.00000',
  'product_count' => '28',
  'primary_email' => 'lauri.saksa@example.com',
  'delivery_first_name' => '',
  'delivery_last_name' => '',
  'delivery_phone' => '',
  'delivery_company' => '',
  'delivery_street1' => '',
  'delivery_street2' => '',
  'delivery_city' => '',
  'delivery_zone' => '0',
  'delivery_postal_code' => '',
  'delivery_country' => '840',
  'billing_first_name' => 'محمدعلی',
  'billing_last_name' => 'حیدری',
  'billing_phone' => '080-85205558',
  'billing_company' => '',
  'billing_street1' => '2567 میدان سلماس',
  'billing_street2' => '',
  'billing_city' => 'Newark',
  'billing_zone' => '47',
  'billing_postal_code' => '43055',
  'billing_country' => '840',
  'payment_method' => 'check',
  'data' => 'N;',
  'created' => '1307314762',
  'modified' => '1307314767',
  'host' => '192.0.2.4',
  'currency' => 'USD',
))
->values(array(
  'order_id' => '82',
  'uid' => '71',
  'order_status' => 'completed',
  'order_total' => '0.00000',
  'product_count' => '16',
  'primary_email' => 'theo.martin@example.com',
  'delivery_first_name' => '',
  'delivery_last_name' => '',
  'delivery_phone' => '',
  'delivery_company' => '',
  'delivery_street1' => '',
  'delivery_street2' => '',
  'delivery_city' => '',
  'delivery_zone' => '0',
  'delivery_postal_code' => '',
  'delivery_country' => '840',
  'billing_first_name' => 'konsta',
  'billing_last_name' => 'keto',
  'billing_phone' => '07-322-133',
  'billing_company' => '',
  'billing_street1' => '3639 hermiankatu',
  'billing_street2' => '',
  'billing_city' => 'Danville',
  'billing_zone' => '27',
  'billing_postal_code' => '40422',
  'billing_country' => '840',
  'payment_method' => 'check',
  'data' => 'N;',
  'created' => '1307708024',
  'modified' => '1307708046',
  'host' => '192.0.2.5',
  'currency' => 'USD',
))
->values(array(
  'order_id' => '83',
  'uid' => '33',
  'order_status' => 'completed',
  'order_total' => '0.00000',
  'product_count' => '70',
  'primary_email' => 'asta.rasmussen@example.com',
  'delivery_first_name' => '',
  'delivery_last_name' => '',
  'delivery_phone' => '',
  'delivery_company' => '',
  'delivery_street1' => '',
  'delivery_street2' => '',
  'delivery_city' => '',
  'delivery_zone' => '0',
  'delivery_postal_code' => '',
  'delivery_country' => '840',
  'billing_first_name' => 'ken',
  'billing_last_name' => 'frazier',
  'billing_phone' => '071-525-6611',
  'billing_company' => '',
  'billing_street1' => '1794 north road',
  'billing_street2' => '',
  'billing_city' => 'Richmond ',
  'billing_zone' => '24',
  'billing_postal_code' => '47374',
  'billing_country' => '840',
  'payment_method' => 'check',
  'data' => 'N;',
  'created' => '1307996738',
  'modified' => '1307996755',
  'host' => '192.0.2.6',
  'currency' => 'USD',
))
->values(array(
  'order_id' => '84',
  'uid' => '78',
  'order_status' => 'completed',
  'order_total' => '0.00000',
  'product_count' => '42',
  'primary_email' => 'hunter.hughes@example.com',
  'delivery_first_name' => '',
  'delivery_last_name' => '',
  'delivery_phone' => '',
  'delivery_company' => '',
  'delivery_street1' => '',
  'delivery_street2' => '',
  'delivery_city' => '',
  'delivery_zone' => '0',
  'delivery_postal_code' => '',
  'delivery_country' => '840',
  'billing_first_name' => 'nilce',
  'billing_last_name' => 'pereira',
  'billing_phone' => '(83) 9587-6643',
  'billing_company' => '',
  'billing_street1' => '8436 rua vinte e dois ',
  'billing_street2' => '',
  'billing_city' => 'Ocala',
  'billing_zone' => '18',
  'billing_postal_code' => '34470',
  'billing_country' => '840',
  'payment_method' => 'check',
  'data' => 'N;',
  'created' => '1307999411',
  'modified' => '1307999436',
  'host' => '192.0.2.7',
  'currency' => 'USD',
))
->values(array(
  'order_id' => '85',
  'uid' => '88',
  'order_status' => 'completed',
  'order_total' => '0.00000',
  'product_count' => '28',
  'primary_email' => 'toni.dietrich@example.com',
  'delivery_first_name' => '',
  'delivery_last_name' => '',
  'delivery_phone' => '',
  'delivery_company' => '',
  'delivery_street1' => '',
  'delivery_street2' => '',
  'delivery_city' => '',
  'delivery_zone' => '0',
  'delivery_postal_code' => '',
  'delivery_country' => '840',
  'billing_first_name' => 'asher',
  'billing_last_name' => 'smith',
  'billing_phone' => '(210)-129-1841',
  'billing_company' => '',
  'billing_street1' => '6449 lyttelton avenue',
  'billing_street2' => '',
  'billing_city' => 'Beattyville ',
  'billing_zone' => '27',
  'billing_postal_code' => '41311',
  'billing_country' => '840',
  'payment_method' => 'check',
  'data' => 'N;',
  'created' => '1308090450',
  'modified' => '1308090490',
  'host' => '192.0.2.8',
  'currency' => 'USD',
))
->values(array(
  'order_id' => '86',
  'uid' => '96',
  'order_status' => 'completed',
  'order_total' => '0.00000',
  'product_count' => '146',
  'primary_email' => 'viktor.müller@example.com',
  'delivery_first_name' => '',
  'delivery_last_name' => '',
  'delivery_phone' => '',
  'delivery_company' => '',
  'delivery_street1' => '',
  'delivery_street2' => '',
  'delivery_city' => '',
  'delivery_zone' => '0',
  'delivery_postal_code' => '',
  'delivery_country' => '840',
  'billing_first_name' => 'arthur',
  'billing_last_name' => 'mcguinness',
  'billing_phone' => '031-977-6828',
  'billing_company' => '',
  'billing_street1' => '9838 victoria road',
  'billing_street2' => '',
  'billing_city' => 'Dayton',
  'billing_zone' => '47',
  'billing_postal_code' => '45449',
  'billing_country' => '840',
  'payment_method' => 'check',
  'data' => 'N;',
  'created' => '1308343362',
  'modified' => '1308343389',
  'host' => '192.0.2.9',
  'currency' => 'USD',
))
->values(array(
  'order_id' => '87',
  'uid' => '63',
  'order_status' => 'completed',
  'order_total' => '0.00000',
  'product_count' => '20',
  'primary_email' => 'navid.mik@example.com',
  'delivery_first_name' => '',
  'delivery_last_name' => '',
  'delivery_phone' => '',
  'delivery_company' => '',
  'delivery_street1' => '',
  'delivery_street2' => '',
  'delivery_city' => '',
  'delivery_zone' => '0',
  'delivery_postal_code' => '',
  'delivery_country' => '840',
  'billing_first_name' => 'pihla',
  'billing_last_name' => 'niskanen',
  'billing_phone' => '03-384-388',
  'billing_company' => '',
  'billing_street1' => '9017 nordenskiöldinkatu',
  'billing_street2' => '',
  'billing_city' => 'Radcliff',
  'billing_zone' => '27',
  'billing_postal_code' => '40160',
  'billing_country' => '840',
  'payment_method' => 'check',
  'data' => 'N;',
  'created' => '1308704887',
  'modified' => '1308704899',
  'host' => '192.0.2.10',
  'currency' => 'USD',
))
->values(array(
  'order_id' => '88',
  'uid' => '42',
  'order_status' => 'completed',
  'order_total' => '0.00000',
  'product_count' => '20',
  'primary_email' => 'رهام.محمدخان@example.com',
  'delivery_first_name' => '',
  'delivery_last_name' => '',
  'delivery_phone' => '',
  'delivery_company' => '',
  'delivery_street1' => '',
  'delivery_street2' => '',
  'delivery_city' => '',
  'delivery_zone' => '0',
  'delivery_postal_code' => '',
  'delivery_country' => '840',
  'billing_first_name' => 'mathilde',
  'billing_last_name' => 'roche',
  'billing_phone' => '(510)-498-4355',
  'billing_company' => '',
  'billing_street1' => "3072 rue de l'abbé-roger-derry",
  'billing_street2' => '',
  'billing_city' => 'Little Rock',
  'billing_zone' => '5',
  'billing_postal_code' => '72015',
  'billing_country' => '840',
  'payment_method' => 'check',
  'data' => 'N;',
  'created' => '1308830440',
  'modified' => '1308830451',
  'host' => '192.0.2.',
  'currency' => 'USD',
))
->execute();

$connection->schema()->createTable('uc_payment_receipts', array(
  'fields' => array(
    'receipt_id' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'order_id' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'method' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => '',
    ),
    'amount' => array(
      'type' => 'numeric',
      'not null' => TRUE,
      'precision' => '16',
      'scale' => '5',
      'default' => '0.00000',
    ),
    'uid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'data' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
    'comment' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
    'received' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'receipt_id',
  ),
  'indexes' => array(
    'order_id' => array(
      'order_id',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('uc_payment_receipts')
->fields(array(
  'receipt_id',
  'order_id',
  'method',
  'amount',
  'uid',
  'data',
  'comment',
  'received',
))
->values(array(
  'receipt_id' => '2',
  'order_id' => '80',
  'method' => 'Free order',
  'amount' => '0.00000',
  'uid' => '0',
  'data' => '',
  'comment' => 'Checkout completed for a free order.',
  'received' => '1315057389',
))
->values(array(
  'receipt_id' => '3',
  'order_id' => '88',
  'method' => 'Credit card',
  'amount' => '92.00000',
  'uid' => '79',
  'data' => '',
  'comment' => 'Type: Authorization and capture<br />ID: 0',
  'received' => '1456163366',
))
->execute();

$connection->schema()->createTable('uc_product_adjustments', array(
  'fields' => array(
    'nid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'combination' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'model' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
  ),
  'indexes' => array(
    'nid' => array(
      'nid',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('uc_product_attributes', array(
  'fields' => array(
    'nid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'aid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'label' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'ordering' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'default_option' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'required' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'display' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '1',
      'unsigned' => TRUE,
    ),
  ),
  'primary key' => array(
    'nid',
    'aid',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('uc_product_attributes')
->fields(array(
  'nid',
  'aid',
  'label',
  'ordering',
  'default_option',
  'required',
  'display',
))
->values(array(
  'nid' => '128',
  'aid' => '4',
  'label' => 'Box count',
  'ordering' => '0',
  'default_option' => '7',
  'required' => '1',
  'display' => '2',
))
->execute();

$connection->schema()->createTable('uc_product_classes', array(
  'fields' => array(
    'pcid' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => '',
    ),
    'name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'description' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
  ),
  'primary key' => array(
    'pcid',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('uc_product_classes')
->fields(array(
  'pcid',
  'name',
  'description',
))
->values(array(
  'pcid' => 'other_product',
  'name' => 'Other Product',
  'description' => '',
))
->execute();

$connection->schema()->createTable('uc_product_features', array(
  'fields' => array(
    'pfid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'nid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'fid' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => '',
    ),
    'description' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
  ),
  'primary key' => array(
    'pfid',
  ),
  'indexes' => array(
    'nid' => array(
      'nid',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('uc_product_options', array(
  'fields' => array(
    'nid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'oid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'cost' => array(
      'type' => 'numeric',
      'not null' => TRUE,
      'precision' => '16',
      'scale' => '5',
      'default' => '0.00000',
    ),
    'price' => array(
      'type' => 'numeric',
      'not null' => TRUE,
      'precision' => '16',
      'scale' => '5',
      'default' => '0.00000',
    ),
    'weight' => array(
      'type' => 'float',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'ordering' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'nid',
    'oid',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('uc_product_options')
->fields(array(
  'nid',
  'oid',
  'cost',
  'price',
  'weight',
  'ordering',
))
->values(array(
  'nid' => '128',
  'oid' => '7',
  'cost' => '0.00000',
  'price' => '273.00000',
  'weight' => '0',
  'ordering' => '-50',
))
->values(array(
  'nid' => '128',
  'oid' => '8',
  'cost' => '0.00000',
  'price' => '360.00000',
  'weight' => '1',
  'ordering' => '-49',
))
->values(array(
  'nid' => '128',
  'oid' => '9',
  'cost' => '0.00000',
  'price' => '524.00000',
  'weight' => '2',
  'ordering' => '-48',
))
->execute();

$connection->schema()->createTable('uc_product_stock', array(
  'fields' => array(
    'sku' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'nid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'active' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'stock' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'medium',
      'default' => '0',
    ),
    'threshold' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'medium',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'sku',
  ),
  'indexes' => array(
    'nid' => array(
      'nid',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('uc_products', array(
  'fields' => array(
    'vid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'nid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'model' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'list_price' => array(
      'type' => 'numeric',
      'not null' => TRUE,
      'precision' => '16',
      'scale' => '5',
      'default' => '0.00000',
    ),
    'cost' => array(
      'type' => 'numeric',
      'not null' => TRUE,
      'precision' => '16',
      'scale' => '5',
      'default' => '0.00000',
    ),
    'sell_price' => array(
      'type' => 'numeric',
      'not null' => TRUE,
      'precision' => '16',
      'scale' => '5',
      'default' => '0.00000',
    ),
    'weight' => array(
      'type' => 'float',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'weight_units' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => 'lb',
    ),
    'length' => array(
      'type' => 'float',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'width' => array(
      'type' => 'float',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'height' => array(
      'type' => 'float',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'length_units' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => 'in',
    ),
    'pkg_qty' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'default_qty' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'unique_hash' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => 'd41d8cd98f00b204e9800998ecf8427e',
    ),
    'ordering' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'shippable' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '1',
      'unsigned' => TRUE,
    ),
  ),
  'primary key' => array(
    'vid',
  ),
  'indexes' => array(
    'nid' => array(
      'nid',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('uc_products')
->fields(array(
  'vid',
  'nid',
  'model',
  'list_price',
  'cost',
  'sell_price',
  'weight',
  'weight_units',
  'length',
  'width',
  'height',
  'length_units',
  'pkg_qty',
  'default_qty',
  'unique_hash',
  'ordering',
  'shippable',
))
->values(array(
  'vid' => '27',
  'nid' => '27',
  'model' => 'MODEL-27',
  'list_price' => '0.00000',
  'cost' => '0.00000',
  'sell_price' => '60.00000',
  'weight' => '0',
  'weight_units' => 'lb',
  'length' => '0',
  'width' => '0',
  'height' => '0',
  'length_units' => 'in',
  'pkg_qty' => '0',
  'default_qty' => '0',
  'unique_hash' => '52d0afeea0c227b1b2f4b07209fe69d8',
  'ordering' => '0',
  'shippable' => '0',
))
->values(array(
  'vid' => '28',
  'nid' => '28',
  'model' => 'MODEL-28',
  'list_price' => '0.00000',
  'cost' => '0.00000',
  'sell_price' => '45.00000',
  'weight' => '0',
  'weight_units' => 'lb',
  'length' => '0',
  'width' => '0',
  'height' => '0',
  'length_units' => 'in',
  'pkg_qty' => '0',
  'default_qty' => '0',
  'unique_hash' => '6a4f740165cb2cf39b121205db5808fb',
  'ordering' => '0',
  'shippable' => '0',
))
->values(array(
  'vid' => '29',
  'nid' => '29',
  'model' => 'MODEL-29',
  'list_price' => '0.00000',
  'cost' => '0.00000',
  'sell_price' => '22.00000',
  'weight' => '0',
  'weight_units' => 'lb',
  'length' => '0',
  'width' => '0',
  'height' => '0',
  'length_units' => 'in',
  'pkg_qty' => '0',
  'default_qty' => '0',
  'unique_hash' => '63c169dd3018272458c2a0a245499a88',
  'ordering' => '0',
  'shippable' => '0',
))
->values(array(
  'vid' => '30',
  'nid' => '30',
  'model' => 'MODEL-30',
  'list_price' => '0.00000',
  'cost' => '0.00000',
  'sell_price' => '20.00000',
  'weight' => '0',
  'weight_units' => 'lb',
  'length' => '0',
  'width' => '0',
  'height' => '0',
  'length_units' => 'in',
  'pkg_qty' => '0',
  'default_qty' => '0',
  'unique_hash' => '5c4d78ffdd0bd8cc9a50a3043822cc5f',
  'ordering' => '0',
  'shippable' => '0',
))
->values(array(
  'vid' => '31',
  'nid' => '31',
  'model' => 'MODEL-31',
  'list_price' => '0.00000',
  'cost' => '0.00000',
  'sell_price' => '15.00000',
  'weight' => '0',
  'weight_units' => 'lb',
  'length' => '0',
  'width' => '0',
  'height' => '0',
  'length_units' => 'in',
  'pkg_qty' => '0',
  'default_qty' => '0',
  'unique_hash' => '533b24a93f2f5971ba7f30e018cb0217',
  'ordering' => '0',
  'shippable' => '0',
))
->values(array(
  'vid' => '39',
  'nid' => '39',
  'model' => 'MODEL-39',
  'list_price' => '0.00000',
  'cost' => '0.00000',
  'sell_price' => '25.00000',
  'weight' => '0',
  'weight_units' => 'lb',
  'length' => '0',
  'width' => '0',
  'height' => '0',
  'length_units' => 'in',
  'pkg_qty' => '0',
  'default_qty' => '0',
  'unique_hash' => 'db2fa94d403edff5b335583fb9d8c329',
  'ordering' => '0',
  'shippable' => '0',
))
->values(array(
  'vid' => '40',
  'nid' => '40',
  'model' => 'MODEL-40',
  'list_price' => '0.00000',
  'cost' => '0.00000',
  'sell_price' => '20.00000',
  'weight' => '0',
  'weight_units' => 'lb',
  'length' => '0',
  'width' => '0',
  'height' => '0',
  'length_units' => 'in',
  'pkg_qty' => '0',
  'default_qty' => '0',
  'unique_hash' => '65106f25b09856cc283ccaeda7969bcf',
  'ordering' => '0',
  'shippable' => '0',
))
->values(array(
  'vid' => '42',
  'nid' => '42',
  'model' => 'MODEL-42',
  'list_price' => '0.00000',
  'cost' => '0.00000',
  'sell_price' => '25.00000',
  'weight' => '0',
  'weight_units' => 'lb',
  'length' => '0',
  'width' => '0',
  'height' => '0',
  'length_units' => 'in',
  'pkg_qty' => '0',
  'default_qty' => '0',
  'unique_hash' => 'aaf5486b6d9cc15d5ac88c1e45034c24',
  'ordering' => '0',
  'shippable' => '0',
))
->values(array(
  'vid' => '43',
  'nid' => '43',
  'model' => 'MODEL-43',
  'list_price' => '0.00000',
  'cost' => '0.00000',
  'sell_price' => '25.00000',
  'weight' => '0',
  'weight_units' => 'lb',
  'length' => '0',
  'width' => '0',
  'height' => '0',
  'length_units' => 'in',
  'pkg_qty' => '0',
  'default_qty' => '0',
  'unique_hash' => 'a265bf482341fc7f10fceb16d6acfc83',
  'ordering' => '0',
  'shippable' => '0',
))
->values(array(
  'vid' => '48',
  'nid' => '48',
  'model' => 'MODEL-48',
  'list_price' => '0.00000',
  'cost' => '0.00000',
  'sell_price' => '76.00000',
  'weight' => '0',
  'weight_units' => 'lb',
  'length' => '0',
  'width' => '0',
  'height' => '0',
  'length_units' => 'in',
  'pkg_qty' => '0',
  'default_qty' => '0',
  'unique_hash' => 'e631583416bfc3efd45546d187e20ff3',
  'ordering' => '0',
  'shippable' => '0',
))
->values(array(
  'vid' => '112',
  'nid' => '112',
  'model' => 'MODEL-112',
  'list_price' => '0.00000',
  'cost' => '0.00000',
  'sell_price' => '47.66000',
  'weight' => '0',
  'weight_units' => 'lb',
  'length' => '0',
  'width' => '0',
  'height' => '0',
  'length_units' => 'in',
  'pkg_qty' => '0',
  'default_qty' => '1',
  'unique_hash' => '124f859d86692d04dde94a284de835df',
  'ordering' => '0',
  'shippable' => '0',
))
->values(array(
  'vid' => '114',
  'nid' => '114',
  'model' => 'MODEL-114',
  'list_price' => '0.00000',
  'cost' => '0.00000',
  'sell_price' => '42.00000',
  'weight' => '0',
  'weight_units' => 'lb',
  'length' => '0',
  'width' => '0',
  'height' => '0',
  'length_units' => 'in',
  'pkg_qty' => '0',
  'default_qty' => '1',
  'unique_hash' => '8578c0ef6fb8d0f9175f8d9b2d3477cd',
  'ordering' => '0',
  'shippable' => '0',
))
->values(array(
  'vid' => '116',
  'nid' => '116',
  'model' => 'MODEL-116',
  'list_price' => '0.00000',
  'cost' => '0.00000',
  'sell_price' => '34.41000',
  'weight' => '0',
  'weight_units' => 'lb',
  'length' => '0',
  'width' => '0',
  'height' => '0',
  'length_units' => 'in',
  'pkg_qty' => '0',
  'default_qty' => '0',
  'unique_hash' => '783272d04fcefd7802c297cd257faf2c',
  'ordering' => '0',
  'shippable' => '0',
))
->values(array(
  'vid' => '118',
  'nid' => '118',
  'model' => 'MODEL-118',
  'list_price' => '0.00000',
  'cost' => '0.00000',
  'sell_price' => '25.00000',
  'weight' => '0',
  'weight_units' => 'lb',
  'length' => '0',
  'width' => '0',
  'height' => '0',
  'length_units' => 'in',
  'pkg_qty' => '0',
  'default_qty' => '0',
  'unique_hash' => 'e5cfebc5ec713495bd3b6649d76c4149',
  'ordering' => '0',
  'shippable' => '0',
))
->values(array(
  'vid' => '120',
  'nid' => '120',
  'model' => 'MODEL-120',
  'list_price' => '0.00000',
  'cost' => '0.00000',
  'sell_price' => '55.00000',
  'weight' => '0',
  'weight_units' => 'lb',
  'length' => '0',
  'width' => '0',
  'height' => '0',
  'length_units' => 'in',
  'pkg_qty' => '0',
  'default_qty' => '0',
  'unique_hash' => '3b632997dd160168eb6fbd7f3d52ef33',
  'ordering' => '0',
  'shippable' => '0',
))
->values(array(
  'vid' => '122',
  'nid' => '122',
  'model' => 'MODEL-122',
  'list_price' => '0.00000',
  'cost' => '0.00000',
  'sell_price' => '42.00000',
  'weight' => '0',
  'weight_units' => 'lb',
  'length' => '0',
  'width' => '0',
  'height' => '0',
  'length_units' => 'in',
  'pkg_qty' => '0',
  'default_qty' => '0',
  'unique_hash' => '93e25bbe99f82903db16ac29a20d8e0d',
  'ordering' => '0',
  'shippable' => '0',
))
->values(array(
  'vid' => '124',
  'nid' => '124',
  'model' => 'MODEL-124',
  'list_price' => '0.00000',
  'cost' => '0.00000',
  'sell_price' => '22.00000',
  'weight' => '0',
  'weight_units' => 'lb',
  'length' => '0',
  'width' => '0',
  'height' => '0',
  'length_units' => 'in',
  'pkg_qty' => '0',
  'default_qty' => '0',
  'unique_hash' => '666c3b7efa9adbff78bca2172211168b',
  'ordering' => '0',
  'shippable' => '0',
))
->values(array(
  'vid' => '128',
  'nid' => '128',
  'model' => 'MODEL-128',
  'list_price' => '0.00000',
  'cost' => '0.00000',
  'sell_price' => '0.00000',
  'weight' => '0',
  'weight_units' => 'lb',
  'length' => '0',
  'width' => '0',
  'height' => '0',
  'length_units' => 'in',
  'pkg_qty' => '0',
  'default_qty' => '0',
  'unique_hash' => '93f71e86d19f5c72c8c371a2993aa7df',
  'ordering' => '0',
  'shippable' => '0',
))
->values(array(
  'vid' => '130',
  'nid' => '130',
  'model' => 'MODEL-130',
  'list_price' => '0.00000',
  'cost' => '0.00000',
  'sell_price' => '0.00000',
  'weight' => '0',
  'weight_units' => 'lb',
  'length' => '0',
  'width' => '0',
  'height' => '0',
  'length_units' => 'in',
  'pkg_qty' => '0',
  'default_qty' => '1',
  'unique_hash' => '9f385b7527841c36c40f63bc0f0c342c',
  'ordering' => '0',
  'shippable' => '0',
))
->values(array(
  'vid' => '132',
  'nid' => '132',
  'model' => 'MODEL-132',
  'list_price' => '0.00000',
  'cost' => '0.00000',
  'sell_price' => '66.00000',
  'weight' => '0',
  'weight_units' => 'lb',
  'length' => '0',
  'width' => '0',
  'height' => '0',
  'length_units' => 'in',
  'pkg_qty' => '0',
  'default_qty' => '0',
  'unique_hash' => '78eac213f55d83f6a1b48dc30a0e1fd9',
  'ordering' => '0',
  'shippable' => '0',
))
->execute();

$connection->schema()->createTable('uc_store_footers', array(
  'fields' => array(
    'path_hash' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => '',
    ),
    'message' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
  ),
  'primary key' => array(
    'path_hash',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('uc_zones', array(
  'fields' => array(
    'zone_id' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'zone_country_id' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'zone_code' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => '',
    ),
    'zone_name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
  ),
  'primary key' => array(
    'zone_id',
  ),
  'indexes' => array(
    'zone_code' => array(
      'zone_code',
    ),
    'zone_country_id' => array(
      'zone_country_id',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('uc_zones')
->fields(array(
  'zone_id',
  'zone_country_id',
  'zone_code',
  'zone_name',
))
->values(array(
  'zone_id' => '1',
  'zone_country_id' => '840',
  'zone_code' => 'AL',
  'zone_name' => 'Alabama',
))
->values(array(
  'zone_id' => '2',
  'zone_country_id' => '840',
  'zone_code' => 'AK',
  'zone_name' => 'Alaska',
))
->values(array(
  'zone_id' => '3',
  'zone_country_id' => '840',
  'zone_code' => 'AS',
  'zone_name' => 'American Samoa',
))
->values(array(
  'zone_id' => '4',
  'zone_country_id' => '840',
  'zone_code' => 'AZ',
  'zone_name' => 'Arizona',
))
->values(array(
  'zone_id' => '5',
  'zone_country_id' => '840',
  'zone_code' => 'AR',
  'zone_name' => 'Arkansas',
))
->values(array(
  'zone_id' => '6',
  'zone_country_id' => '840',
  'zone_code' => 'AF',
  'zone_name' => 'Armed Forces Africa',
))
->values(array(
  'zone_id' => '7',
  'zone_country_id' => '840',
  'zone_code' => 'AA',
  'zone_name' => 'Armed Forces Americas',
))
->values(array(
  'zone_id' => '8',
  'zone_country_id' => '840',
  'zone_code' => 'AC',
  'zone_name' => 'Armed Forces Canada',
))
->values(array(
  'zone_id' => '9',
  'zone_country_id' => '840',
  'zone_code' => 'AE',
  'zone_name' => 'Armed Forces Europe',
))
->values(array(
  'zone_id' => '10',
  'zone_country_id' => '840',
  'zone_code' => 'AM',
  'zone_name' => 'Armed Forces Middle East',
))
->values(array(
  'zone_id' => '11',
  'zone_country_id' => '840',
  'zone_code' => 'AP',
  'zone_name' => 'Armed Forces Pacific',
))
->values(array(
  'zone_id' => '12',
  'zone_country_id' => '840',
  'zone_code' => 'CA',
  'zone_name' => 'California',
))
->values(array(
  'zone_id' => '13',
  'zone_country_id' => '840',
  'zone_code' => 'CO',
  'zone_name' => 'Colorado',
))
->values(array(
  'zone_id' => '14',
  'zone_country_id' => '840',
  'zone_code' => 'CT',
  'zone_name' => 'Connecticut',
))
->values(array(
  'zone_id' => '15',
  'zone_country_id' => '840',
  'zone_code' => 'DE',
  'zone_name' => 'Delaware',
))
->values(array(
  'zone_id' => '16',
  'zone_country_id' => '840',
  'zone_code' => 'DC',
  'zone_name' => 'District of Columbia',
))
->values(array(
  'zone_id' => '17',
  'zone_country_id' => '840',
  'zone_code' => 'FM',
  'zone_name' => 'Federated States Of Micronesia',
))
->values(array(
  'zone_id' => '18',
  'zone_country_id' => '840',
  'zone_code' => 'FL',
  'zone_name' => 'Florida',
))
->values(array(
  'zone_id' => '19',
  'zone_country_id' => '840',
  'zone_code' => 'GA',
  'zone_name' => 'Georgia',
))
->values(array(
  'zone_id' => '20',
  'zone_country_id' => '840',
  'zone_code' => 'GU',
  'zone_name' => 'Guam',
))
->values(array(
  'zone_id' => '21',
  'zone_country_id' => '840',
  'zone_code' => 'HI',
  'zone_name' => 'Hawaii',
))
->values(array(
  'zone_id' => '22',
  'zone_country_id' => '840',
  'zone_code' => 'ID',
  'zone_name' => 'Idaho',
))
->values(array(
  'zone_id' => '23',
  'zone_country_id' => '840',
  'zone_code' => 'IL',
  'zone_name' => 'Illinois',
))
->values(array(
  'zone_id' => '24',
  'zone_country_id' => '840',
  'zone_code' => 'IN',
  'zone_name' => 'Indiana',
))
->values(array(
  'zone_id' => '25',
  'zone_country_id' => '840',
  'zone_code' => 'IA',
  'zone_name' => 'Iowa',
))
->values(array(
  'zone_id' => '26',
  'zone_country_id' => '840',
  'zone_code' => 'KS',
  'zone_name' => 'Kansas',
))
->values(array(
  'zone_id' => '27',
  'zone_country_id' => '840',
  'zone_code' => 'KY',
  'zone_name' => 'Kentucky',
))
->values(array(
  'zone_id' => '28',
  'zone_country_id' => '840',
  'zone_code' => 'LA',
  'zone_name' => 'Louisiana',
))
->values(array(
  'zone_id' => '29',
  'zone_country_id' => '840',
  'zone_code' => 'ME',
  'zone_name' => 'Maine',
))
->values(array(
  'zone_id' => '30',
  'zone_country_id' => '840',
  'zone_code' => 'MH',
  'zone_name' => 'Marshall Islands',
))
->values(array(
  'zone_id' => '31',
  'zone_country_id' => '840',
  'zone_code' => 'MD',
  'zone_name' => 'Maryland',
))
->values(array(
  'zone_id' => '32',
  'zone_country_id' => '840',
  'zone_code' => 'MA',
  'zone_name' => 'Massachusetts',
))
->values(array(
  'zone_id' => '33',
  'zone_country_id' => '840',
  'zone_code' => 'MI',
  'zone_name' => 'Michigan',
))
->values(array(
  'zone_id' => '34',
  'zone_country_id' => '840',
  'zone_code' => 'MN',
  'zone_name' => 'Minnesota',
))
->values(array(
  'zone_id' => '35',
  'zone_country_id' => '840',
  'zone_code' => 'MS',
  'zone_name' => 'Mississippi',
))
->values(array(
  'zone_id' => '36',
  'zone_country_id' => '840',
  'zone_code' => 'MO',
  'zone_name' => 'Missouri',
))
->values(array(
  'zone_id' => '37',
  'zone_country_id' => '840',
  'zone_code' => 'MT',
  'zone_name' => 'Montana',
))
->values(array(
  'zone_id' => '38',
  'zone_country_id' => '840',
  'zone_code' => 'NE',
  'zone_name' => 'Nebraska',
))
->values(array(
  'zone_id' => '39',
  'zone_country_id' => '840',
  'zone_code' => 'NV',
  'zone_name' => 'Nevada',
))
->values(array(
  'zone_id' => '40',
  'zone_country_id' => '840',
  'zone_code' => 'NH',
  'zone_name' => 'New Hampshire',
))
->values(array(
  'zone_id' => '41',
  'zone_country_id' => '840',
  'zone_code' => 'NJ',
  'zone_name' => 'New Jersey',
))
->values(array(
  'zone_id' => '42',
  'zone_country_id' => '840',
  'zone_code' => 'NM',
  'zone_name' => 'New Mexico',
))
->values(array(
  'zone_id' => '43',
  'zone_country_id' => '840',
  'zone_code' => 'NY',
  'zone_name' => 'New York',
))
->values(array(
  'zone_id' => '44',
  'zone_country_id' => '840',
  'zone_code' => 'NC',
  'zone_name' => 'North Carolina',
))
->values(array(
  'zone_id' => '45',
  'zone_country_id' => '840',
  'zone_code' => 'ND',
  'zone_name' => 'North Dakota',
))
->values(array(
  'zone_id' => '46',
  'zone_country_id' => '840',
  'zone_code' => 'MP',
  'zone_name' => 'Northern Mariana Islands',
))
->values(array(
  'zone_id' => '47',
  'zone_country_id' => '840',
  'zone_code' => 'OH',
  'zone_name' => 'Ohio',
))
->values(array(
  'zone_id' => '48',
  'zone_country_id' => '840',
  'zone_code' => 'OK',
  'zone_name' => 'Oklahoma',
))
->values(array(
  'zone_id' => '49',
  'zone_country_id' => '840',
  'zone_code' => 'OR',
  'zone_name' => 'Oregon',
))
->values(array(
  'zone_id' => '50',
  'zone_country_id' => '840',
  'zone_code' => 'PW',
  'zone_name' => 'Palau',
))
->values(array(
  'zone_id' => '51',
  'zone_country_id' => '840',
  'zone_code' => 'PA',
  'zone_name' => 'Pennsylvania',
))
->values(array(
  'zone_id' => '52',
  'zone_country_id' => '840',
  'zone_code' => 'PR',
  'zone_name' => 'Puerto Rico',
))
->values(array(
  'zone_id' => '53',
  'zone_country_id' => '840',
  'zone_code' => 'RI',
  'zone_name' => 'Rhode Island',
))
->values(array(
  'zone_id' => '54',
  'zone_country_id' => '840',
  'zone_code' => 'SC',
  'zone_name' => 'South Carolina',
))
->values(array(
  'zone_id' => '55',
  'zone_country_id' => '840',
  'zone_code' => 'SD',
  'zone_name' => 'South Dakota',
))
->values(array(
  'zone_id' => '56',
  'zone_country_id' => '840',
  'zone_code' => 'TN',
  'zone_name' => 'Tennessee',
))
->values(array(
  'zone_id' => '57',
  'zone_country_id' => '840',
  'zone_code' => 'TX',
  'zone_name' => 'Texas',
))
->values(array(
  'zone_id' => '58',
  'zone_country_id' => '840',
  'zone_code' => 'UT',
  'zone_name' => 'Utah',
))
->values(array(
  'zone_id' => '59',
  'zone_country_id' => '840',
  'zone_code' => 'VT',
  'zone_name' => 'Vermont',
))
->values(array(
  'zone_id' => '60',
  'zone_country_id' => '840',
  'zone_code' => 'VI',
  'zone_name' => 'Virgin Islands',
))
->values(array(
  'zone_id' => '61',
  'zone_country_id' => '840',
  'zone_code' => 'VA',
  'zone_name' => 'Virginia',
))
->values(array(
  'zone_id' => '62',
  'zone_country_id' => '840',
  'zone_code' => 'WA',
  'zone_name' => 'Washington',
))
->values(array(
  'zone_id' => '63',
  'zone_country_id' => '840',
  'zone_code' => 'WV',
  'zone_name' => 'West Virginia',
))
->values(array(
  'zone_id' => '64',
  'zone_country_id' => '840',
  'zone_code' => 'WI',
  'zone_name' => 'Wisconsin',
))
->values(array(
  'zone_id' => '65',
  'zone_country_id' => '840',
  'zone_code' => 'WY',
  'zone_name' => 'Wyoming',
))
->values(array(
  'zone_id' => '66',
  'zone_country_id' => '124',
  'zone_code' => 'AB',
  'zone_name' => 'Alberta',
))
->values(array(
  'zone_id' => '67',
  'zone_country_id' => '124',
  'zone_code' => 'BC',
  'zone_name' => 'British Columbia',
))
->values(array(
  'zone_id' => '68',
  'zone_country_id' => '124',
  'zone_code' => 'MB',
  'zone_name' => 'Manitoba',
))
->values(array(
  'zone_id' => '69',
  'zone_country_id' => '124',
  'zone_code' => 'NF',
  'zone_name' => 'Newfoundland',
))
->values(array(
  'zone_id' => '70',
  'zone_country_id' => '124',
  'zone_code' => 'NB',
  'zone_name' => 'New Brunswick',
))
->values(array(
  'zone_id' => '71',
  'zone_country_id' => '124',
  'zone_code' => 'NS',
  'zone_name' => 'Nova Scotia',
))
->values(array(
  'zone_id' => '72',
  'zone_country_id' => '124',
  'zone_code' => 'NT',
  'zone_name' => 'Northwest Territories',
))
->values(array(
  'zone_id' => '73',
  'zone_country_id' => '124',
  'zone_code' => 'NU',
  'zone_name' => 'Nunavut',
))
->values(array(
  'zone_id' => '74',
  'zone_country_id' => '124',
  'zone_code' => 'ON',
  'zone_name' => 'Ontario',
))
->values(array(
  'zone_id' => '75',
  'zone_country_id' => '124',
  'zone_code' => 'PE',
  'zone_name' => 'Prince Edward Island',
))
->values(array(
  'zone_id' => '76',
  'zone_country_id' => '124',
  'zone_code' => 'QC',
  'zone_name' => 'Quebec',
))
->values(array(
  'zone_id' => '77',
  'zone_country_id' => '124',
  'zone_code' => 'SK',
  'zone_name' => 'Saskatchewan',
))
->values(array(
  'zone_id' => '78',
  'zone_country_id' => '124',
  'zone_code' => 'YT',
  'zone_name' => 'Yukon Territory',
))
->execute();

$connection->insert('users')
->fields(array(
  'uid',
  'name',
  'pass',
  'mail',
  'mode',
  'sort',
  'threshold',
  'theme',
  'signature',
  'signature_format',
  'created',
  'access',
  'login',
  'status',
  'timezone',
  'language',
  'picture',
  'init',
  'data',
  'timezone_name',
  'pass_plain',
  'expected_timezone',
  'timezone_id',
))
->values(array(
  'uid' => '3',
  'name' => 'maeva.slaw2a@example.com',
  'pass' => 'd85d48901eede648316faec81eebeb27',
  'mail' => 'maeva.slaw2a@example.com',
  'mode' => '0',
  'sort' => '0',
  'threshold' => '0',
  'theme' => '',
  'signature' => '',
  'signature_format' => '0',
  'created' => '1295027142',
  'access' => '1339082411',
  'login' => '1338906715',
  'status' => '1',
  'timezone' => '',
  'language' => '',
  'picture' => '',
  'init' => 'maeva.slaw2a@example.com',
  'data' => 'a:1:{s:13:"form_build_id";s:37:"form-38bc44cb9c92970fbc8daabe6d965b67";}',
  'timezone_name' => '',
  'pass_plain' => '',
  'expected_timezone' => NULL,
  'timezone_id' => '0',
))
->values(array(
  'uid' => '6',
  'name' => 'maeva.slawa@example.com',
  'pass' => 'd85d48901eede648316faec81eebeb27',
  'mail' => 'maeva.slawa@example.com',
  'mode' => '0',
  'sort' => '0',
  'threshold' => '0',
  'theme' => '',
  'signature' => '',
  'signature_format' => '0',
  'created' => '1295027142',
  'access' => '1339082411',
  'login' => '1338906715',
  'status' => '0',
  'timezone' => '',
  'language' => '',
  'picture' => '',
  'init' => 'maeva.slawa@example.com',
  'data' => 'a:1:{s:13:"form_build_id";s:37:"form-38bc44cb9c92970fbc8daabe6d965b67";}',
  'timezone_name' => '',
  'pass_plain' => '',
  'expected_timezone' => NULL,
  'timezone_id' => '0',
))
->values(array(
  'uid' => '33',
  'name' => 'asta.rasmussen@example.com',
  'pass' => 'dcb3fc8475ad15eb3213980ffb097790',
  'mail' => 'asta.rasmussen@example.com',
  'mode' => '0',
  'sort' => '0',
  'threshold' => '0',
  'theme' => '',
  'signature' => '',
  'signature_format' => '0',
  'created' => '1298606333',
  'access' => '1454358457',
  'login' => '1454358457',
  'status' => '1',
  'timezone' => '',
  'language' => '',
  'picture' => '',
  'init' => 'asta.rasmussen@example.com',
  'data' => 'a:1:{s:13:"form_build_id";s:37:"form-83ca094e7468d5725ef8388d8f18f6e5";}',
  'timezone_name' => '',
  'pass_plain' => '',
  'expected_timezone' => NULL,
  'timezone_id' => '0',
))
->values(array(
  'uid' => '42',
  'name' => 'رهام.محمدخان@example.com',
  'pass' => 'ef6d38a160cb160d7d08d24aac2a7c7a',
  'mail' => 'رهام.محمدخان@example.com',
  'mode' => '0',
  'sort' => '0',
  'threshold' => '0',
  'theme' => '',
  'signature' => '',
  'signature_format' => '0',
  'created' => '1298606333',
  'access' => '1463409625',
  'login' => '1463409625',
  'status' => '1',
  'timezone' => '',
  'language' => '',
  'picture' => '',
  'init' => 'رهام.محمدخان@example.com',
  'data' => 'a:0:{}',
  'timezone_name' => '',
  'pass_plain' => '',
  'expected_timezone' => NULL,
  'timezone_id' => '0',
))
->values(array(
  'uid' => '62',
  'name' => 'vanessa.schreiber@example.com',
  'pass' => 'e72ac7892b0e980e5fa012d9014794bf',
  'mail' => 'vanessa.schreiber@example.com',
  'mode' => '0',
  'sort' => '0',
  'threshold' => '0',
  'theme' => '',
  'signature' => '',
  'signature_format' => '0',
  'created' => '1298606333',
  'access' => '1461197787',
  'login' => '1461084164',
  'status' => '1',
  'timezone' => '',
  'language' => '',
  'picture' => '',
  'init' => 'vanessa.schreiber@example.com',
  'data' => 'a:0:{}',
  'timezone_name' => '',
  'pass_plain' => '',
  'expected_timezone' => NULL,
  'timezone_id' => '0',
))
->values(array(
  'uid' => '63',
  'name' => 'navid.mik@example.com',
  'pass' => 'c959005b54c8859fa1c340577eb9473c',
  'mail' => 'navid.mik@example.com',
  'mode' => '0',
  'sort' => '0',
  'threshold' => '0',
  'theme' => '',
  'signature' => '',
  'signature_format' => '0',
  'created' => '1298606333',
  'access' => '1315526867',
  'login' => '1315526867',
  'status' => '1',
  'timezone' => '',
  'language' => '',
  'picture' => '',
  'init' => 'navid.mik@example.com',
  'data' => 'a:0:{}',
  'timezone_name' => '',
  'pass_plain' => '',
  'expected_timezone' => NULL,
  'timezone_id' => '0',
))
->values(array(
  'uid' => '71',
  'name' => 'theo.martin@example.com',
  'pass' => '9da455218cf4db13cbed1663bf1ef5e3',
  'mail' => 'theo.martin@example.com',
  'mode' => '0',
  'sort' => '0',
  'threshold' => '0',
  'theme' => '',
  'signature' => '',
  'signature_format' => '0',
  'created' => '1298606333',
  'access' => '1463402080',
  'login' => '1463402080',
  'status' => '1',
  'timezone' => '',
  'language' => '',
  'picture' => '',
  'init' => 'theo.martin@example.com',
  'data' => 'a:0:{}',
  'timezone_name' => '',
  'pass_plain' => '',
  'expected_timezone' => NULL,
  'timezone_id' => '0',
))
->values(array(
  'uid' => '75',
  'name' => 'lauri.saksa@example.com',
  'pass' => '6fd783886bf1a7f56cee24a82016d75e',
  'mail' => 'lauri.saksa@example.com',
  'mode' => '0',
  'sort' => '0',
  'threshold' => '0',
  'theme' => '',
  'signature' => '',
  'signature_format' => '0',
  'created' => '1298606333',
  'access' => '1463410098',
  'login' => '1463410098',
  'status' => '1',
  'timezone' => '',
  'language' => '',
  'picture' => '',
  'init' => 'lauri.saksa@example.com',
  'data' => 'a:2:{s:13:"form_build_id";s:48:"form-A4BvPfQgyeK1gCm9BY-eiw_Z_Gy5IatC3mMfWcwbP-c";s:5:"block";a:2:{s:5:"block";a:2:{i:6;i:0;i:5;i:0;}s:4:"user";a:2:{i:1;i:1;i:0;i:1;}}}',
  'timezone_name' => '',
  'pass_plain' => '',
  'expected_timezone' => NULL,
  'timezone_id' => '0',
))
->values(array(
  'uid' => '76',
  'name' => 'kenan.balaban@example.com',
  'pass' => '35c795657e23a3500a0412d06e7d7932',
  'mail' => 'kenan.balaban@example.com',
  'mode' => '0',
  'sort' => '0',
  'threshold' => '0',
  'theme' => '',
  'signature' => '',
  'signature_format' => '0',
  'created' => '1298606333',
  'access' => '1463512434',
  'login' => '1463512434',
  'status' => '1',
  'timezone' => '',
  'language' => '',
  'picture' => '',
  'init' => 'kenan.balaban@example.com',
  'data' => 'a:2:{s:5:"block";a:1:{s:5:"block";a:2:{i:6;i:0;i:5;i:1;}}s:13:"form_build_id";s:37:"form-e173f6f5f224c7f2cfb2440d7f64ea57";}',
  'timezone_name' => '',
  'pass_plain' => '',
  'expected_timezone' => NULL,
  'timezone_id' => '0',
))
->values(array(
  'uid' => '77',
  'name' => 'hunter.hughes@example.com',
  'pass' => '20c7ceb246456e42898ff5851e789ed8',
  'mail' => 'hunter.hughes@example.com',
  'mode' => '0',
  'sort' => '0',
  'threshold' => '0',
  'theme' => '',
  'signature' => '',
  'signature_format' => '0',
  'created' => '1298606333',
  'access' => '1462976419',
  'login' => '1462976222',
  'status' => '1',
  'timezone' => '',
  'language' => '',
  'picture' => '',
  'init' => 'hunter.hughes@example.com',
  'data' => 'a:0:{}',
  'timezone_name' => '',
  'pass_plain' => '',
  'expected_timezone' => NULL,
  'timezone_id' => '0',
))
->values(array(
  'uid' => '78',
  'name' => 'toni.dietrich@example.com',
  'pass' => '52af870f366cfdde1d9fe0e840b44d18',
  'mail' => 'toni.dietrich@example.com',
  'mode' => '0',
  'sort' => '0',
  'threshold' => '0',
  'theme' => '',
  'signature' => '',
  'signature_format' => '0',
  'created' => '1298606333',
  'access' => '1462888474',
  'login' => '1462888474',
  'status' => '1',
  'timezone' => '',
  'language' => '',
  'picture' => '',
  'init' => 'toni.dietrich@example.com',
  'data' => 'a:0:{}',
  'timezone_name' => '',
  'pass_plain' => '',
  'expected_timezone' => NULL,
  'timezone_id' => '0',
))
->values(array(
  'uid' => '88',
  'name' => 'rasmus.christiansen@example.com',
  'pass' => '98b593326847669869cda73152d7cd05',
  'mail' => 'rasmus.christiansen@example.com',
  'mode' => '0',
  'sort' => '0',
  'threshold' => '0',
  'theme' => '',
  'signature' => '',
  'signature_format' => '0',
  'created' => '1298606333',
  'access' => '1456777880',
  'login' => '1456777880',
  'status' => '0',
  'timezone' => '',
  'language' => '',
  'picture' => '',
  'init' => 'rasmus.christiansen@example.com',
  'data' => 'a:2:{s:13:"form_build_id";s:48:"form-lbcYrRuM_nEyn9FUoPU9CsAhtmvAzJHaBBwfcLbYZkw";s:5:"block";a:2:{s:5:"block";a:2:{i:6;i:0;i:5;i:0;}s:4:"user";a:2:{i:1;i:1;i:0;i:1;}}}',
  'timezone_name' => '',
  'pass_plain' => '',
  'expected_timezone' => NULL,
  'timezone_id' => '0',
))
->values(array(
  'uid' => '96',
  'name' => 'viktor.müller@example.com',
  'pass' => 'e675257a5cab839b2aef0856023857b9',
  'mail' => 'viktor.müller@example.com',
  'mode' => '0',
  'sort' => '0',
  'threshold' => '0',
  'theme' => '',
  'signature' => '',
  'signature_format' => '0',
  'created' => '1298655774',
  'access' => '1445008768',
  'login' => '1414771838',
  'status' => '1',
  'timezone' => '',
  'language' => '',
  'picture' => '',
  'init' => 'viktor.müller@example.com',
  'data' => 'a:1:{s:13:"form_build_id";s:37:"form-001d3e87b60f64822fb077b1bfe6638d";}',
  'timezone_name' => '',
  'pass_plain' => '',
  'expected_timezone' => NULL,
  'timezone_id' => '0',
))
->execute();

$connection->insert('variable')
->fields(array(
  'name',
  'value',
))
->values(array(
  'name' => 'uc_addresses_default_billing_address',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_addresses_default_delivery_address',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_addresses_require_address',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_address_fields',
  'value' => 'a:9:{s:10:"first_name";s:10:"first_name";s:9:"last_name";s:9:"last_name";s:5:"phone";s:5:"phone";s:7:"street1";s:7:"street1";s:7:"street2";s:7:"street2";s:4:"city";s:4:"city";s:4:"zone";s:4:"zone";s:7:"country";s:7:"country";s:11:"postal_code";s:11:"postal_code";}',
))
->values(array(
  'name' => 'uc_address_fields_required',
  'value' => 'a:8:{s:10:"first_name";s:10:"first_name";s:9:"last_name";s:9:"last_name";s:5:"phone";s:5:"phone";s:7:"street1";s:7:"street1";s:4:"city";s:4:"city";s:4:"zone";s:4:"zone";s:7:"country";s:7:"country";s:11:"postal_code";s:11:"postal_code";}',
))
->values(array(
  'name' => 'uc_address_format_124',
  'value' => "s:100:\"!company\r\n!first_name !last_name\r\n!street1\r\n!street2\r\n!city, !postal_code\r\n!zone_name, !country_name\";",
))
->values(array(
  'name' => 'uc_address_format_840',
  'value' => "s:102:\"!company\r\n!first_name !last_name\r\n!street1\r\n!street2\r\n!city, !zone_code !postal_code\r\n!country_name_if\";",
))
->values(array(
  'name' => 'uc_add_item_redirect',
  'value' => 's:4:"cart";',
))
->values(array(
  'name' => 'uc_cart_add_item_msg',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_cart_anon_duration',
  'value' => 's:1:"4";',
))
->values(array(
  'name' => 'uc_cart_anon_unit',
  'value' => 's:5:"hours";',
))
->values(array(
  'name' => 'uc_cart_auth_duration',
  'value' => 's:1:"1";',
))
->values(array(
  'name' => 'uc_cart_auth_unit',
  'value' => 's:4:"days";',
))
->values(array(
  'name' => 'uc_cart_block_collapsed',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_cart_block_collapsible',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_cart_block_empty_hide',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_cart_block_image',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_cart_breadcrumb_text',
  'value' => 's:0:"";',
))
->values(array(
  'name' => 'uc_cart_breadcrumb_url',
  'value' => 's:0:"";',
))
->values(array(
  'name' => 'uc_cart_checkout_complete_page',
  'value' => 's:0:"";',
))
->values(array(
  'name' => 'uc_cart_delivery_not_shippable',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_cart_email_validation',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_cart_help_text',
  'value' => 's:37:"Click title to display cart contents.";',
))
->values(array(
  'name' => 'uc_cart_new_account_details',
  'value' => 's:125:"<b>Optional.</b> New customers may supply custom account details.<br />We will create these for you if no values are entered.";',
))
->values(array(
  'name' => 'uc_cart_new_account_name',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_cart_new_account_password',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_cart_show_help_text',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_collapse_current_pane',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_continue_shopping_text',
  'value' => 's:17:"Continue Shopping";',
))
->values(array(
  'name' => 'uc_continue_shopping_type',
  'value' => 's:6:"button";',
))
->values(array(
  'name' => 'uc_continue_shopping_url',
  'value' => 's:7:"<front>";',
))
->values(array(
  'name' => 'uc_continue_shopping_use_last_url',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_credit_accepted_types',
  'value' => "s:44:\"Visa\r\nMastercard\r\nDiscover\r\nAmerican Express\";",
))
->values(array(
  'name' => 'uc_credit_amex',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_credit_bank_enabled',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_credit_checkout_process',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_credit_clear_status',
  'value' => 's:9:"completed";',
))
->values(array(
  'name' => 'uc_credit_cvv_enabled',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_credit_debug',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_credit_discover',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_credit_encryption_path',
  'value' => 's:7:"../keys";',
))
->values(array(
  'name' => 'uc_credit_fail_message',
  'value' => 's:159:"We were unable to process your credit card payment. Please verify your card details and try again.  If the problem persists, contact us to complete your order.";',
))
->values(array(
  'name' => 'uc_credit_issue_enabled',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_credit_mastercard',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_credit_number_duration',
  'value' => 's:1:"3";',
))
->values(array(
  'name' => 'uc_credit_number_unit',
  'value' => 's:4:"days";',
))
->values(array(
  'name' => 'uc_credit_owner_enabled',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_credit_policy',
  'value' => 's:135:"Your billing information must match the billing address for the credit card entered below or we will be unable to process your payment.";',
))
->values(array(
  'name' => 'uc_credit_start_enabled',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_credit_type_enabled',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_credit_validate_numbers',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_credit_visa',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_currency_code',
  'value' => 's:3:"USD";',
))
->values(array(
  'name' => 'uc_currency_dec',
  'value' => 's:1:".";',
))
->values(array(
  'name' => 'uc_currency_prec',
  'value' => 's:1:"2";',
))
->values(array(
  'name' => 'uc_currency_sign',
  'value' => 's:1:"$";',
))
->values(array(
  'name' => 'uc_currency_thou',
  'value' => 's:1:",";',
))
->values(array(
  'name' => 'uc_customer_list_address',
  'value' => 's:7:"billing";',
))
->values(array(
  'name' => 'uc_date_format_default',
  'value' => 's:5:"m/d/Y";',
))
->values(array(
  'name' => 'uc_field_address',
  'value' => 's:7:"Address";',
))
->values(array(
  'name' => 'uc_field_city',
  'value' => 's:4:"City";',
))
->values(array(
  'name' => 'uc_field_company',
  'value' => 's:7:"Company";',
))
->values(array(
  'name' => 'uc_field_country',
  'value' => 's:7:"Country";',
))
->values(array(
  'name' => 'uc_field_first_name',
  'value' => 's:10:"First name";',
))
->values(array(
  'name' => 'uc_field_last_name',
  'value' => 's:9:"Last name";',
))
->values(array(
  'name' => 'uc_field_phone',
  'value' => 's:12:"Phone number";',
))
->values(array(
  'name' => 'uc_field_postal_code',
  'value' => 's:11:"Postal code";',
))
->values(array(
  'name' => 'uc_field_street',
  'value' => 's:14:"Street address";',
))
->values(array(
  'name' => 'uc_field_street1',
  'value' => 's:16:"Street address 1";',
))
->values(array(
  'name' => 'uc_field_street2',
  'value' => 's:16:"Street address 2";',
))
->values(array(
  'name' => 'uc_field_zone',
  'value' => 's:14:"State/Province";',
))
->values(array(
  'name' => 'uc_footer_message',
  'value' => 's:4:"none";',
))
->values(array(
  'name' => 'uc_image_',
  'value' => 'N;',
))
->values(array(
  'name' => 'uc_image_designable_product',
  'value' => 's:17:"field_image_cache";',
))
->values(array(
  'name' => 'uc_image_product',
  'value' => 's:17:"field_image_cache";',
))
->values(array(
  'name' => 'uc_length_format_cm',
  'value' => 's:9:"!value cm";',
))
->values(array(
  'name' => 'uc_length_format_ft',
  'value' => 's:9:"!value ft";',
))
->values(array(
  'name' => 'uc_length_format_in',
  'value' => 's:9:"!value in";',
))
->values(array(
  'name' => 'uc_length_format_mm',
  'value' => 's:9:"!value mm";',
))
->values(array(
  'name' => 'uc_length_unit',
  'value' => 's:2:"in";',
))
->values(array(
  'name' => 'uc_minimum_subtotal',
  'value' => 's:1:"0";',
))
->values(array(
  'name' => 'uc_msg_continue_shopping',
  'value' => 's:50:"<a href="[site-url]">Return to the front page.</a>";',
))
->values(array(
  'name' => 'uc_msg_continue_shopping_format',
  'value' => 's:1:"1";',
))
->values(array(
  'name' => 'uc_msg_order_existing_user',
  'value' => "s:297:\"Thank you for shopping at [store-name]. Your current order has been attached to the account we found matching your e-mail address.\r\n\r\n<a href=\"/user\">Login</a> to view your current order status and order history. Remember to login when you make your next purchase for a faster checkout experience!\";",
))
->values(array(
  'name' => 'uc_msg_order_existing_user_format',
  'value' => 's:1:"1";',
))
->values(array(
  'name' => 'uc_msg_order_logged_in',
  'value' => 's:161:"Thank you for shopping at [store-name]. While logged in, you may continue shopping or <a href="[order-url]">view your current order status</a> and order history.";',
))
->values(array(
  'name' => 'uc_msg_order_logged_in_format',
  'value' => 's:1:"1";',
))
->values(array(
  'name' => 'uc_msg_order_new_user',
  'value' => "s:303:\"Thank you for shopping at [store-name]. A new account has been created for you here that you may use to view your current order status.\r\n\r\n<a href=\"/user\">Login</a> to your new account using the following information:\r\n\r\n<strong>Username:</strong> !new_username\r\n<strong>Password:</strong> !new_password\";",
))
->values(array(
  'name' => 'uc_msg_order_new_user_format',
  'value' => 's:1:"1";',
))
->values(array(
  'name' => 'uc_msg_order_submit',
  'value' => 's:56:"Your order is complete! Your order number is [order-id].";',
))
->values(array(
  'name' => 'uc_msg_order_submit_format',
  'value' => 's:1:"1";',
))
->values(array(
  'name' => 'uc_new_customer_email',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_new_customer_login',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_new_customer_status_active',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_node_cart_teaser',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_node_checkout_add_to_cart_node_form',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_node_checkout_asset_restrictions',
  'value' => 'a:2:{i:0;s:12:"field_status";i:1;s:13:"field_orderid";}',
))
->values(array(
  'name' => 'uc_node_order_product_attribute',
  'value' => 's:5:"Asset";',
))
->values(array(
  'name' => 'uc_node_order_product_display',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_node_order_product_option',
  'value' => 's:7:"[title]";',
))
->values(array(
  'name' => 'uc_node_order_product_teaser_override',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_order_pane_admin_comments_show_edit',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_order_pane_admin_comments_show_view',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_order_pane_admin_comments_weight_edit',
  'value' => 's:1:"9";',
))
->values(array(
  'name' => 'uc_order_pane_admin_comments_weight_view',
  'value' => 's:1:"9";',
))
->values(array(
  'name' => 'uc_order_pane_bill_to_show_customer',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_order_pane_bill_to_show_edit',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_order_pane_bill_to_show_invoice',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_order_pane_bill_to_show_view',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_order_pane_bill_to_weight_customer',
  'value' => 's:1:"2";',
))
->values(array(
  'name' => 'uc_order_pane_bill_to_weight_edit',
  'value' => 's:1:"2";',
))
->values(array(
  'name' => 'uc_order_pane_bill_to_weight_invoice',
  'value' => 's:1:"2";',
))
->values(array(
  'name' => 'uc_order_pane_bill_to_weight_view',
  'value' => 's:1:"2";',
))
->values(array(
  'name' => 'uc_order_pane_customer_show_edit',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_order_pane_customer_show_view',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_order_pane_customer_weight_edit',
  'value' => 's:1:"3";',
))
->values(array(
  'name' => 'uc_order_pane_customer_weight_view',
  'value' => 's:1:"3";',
))
->values(array(
  'name' => 'uc_order_pane_custom_assets_show_customer',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_order_pane_custom_assets_show_edit',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_order_pane_custom_assets_show_view',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_order_pane_custom_assets_weight_customer',
  'value' => 's:1:"6";',
))
->values(array(
  'name' => 'uc_order_pane_custom_assets_weight_edit',
  'value' => 's:1:"4";',
))
->values(array(
  'name' => 'uc_order_pane_custom_assets_weight_view',
  'value' => 's:1:"4";',
))
->values(array(
  'name' => 'uc_order_pane_line_items_show_customer',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_order_pane_line_items_show_edit',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_order_pane_line_items_show_invoice',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_order_pane_line_items_show_view',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_order_pane_line_items_weight_customer',
  'value' => 's:1:"6";',
))
->values(array(
  'name' => 'uc_order_pane_line_items_weight_edit',
  'value' => 's:1:"6";',
))
->values(array(
  'name' => 'uc_order_pane_line_items_weight_invoice',
  'value' => 's:1:"6";',
))
->values(array(
  'name' => 'uc_order_pane_line_items_weight_view',
  'value' => 's:1:"6";',
))
->values(array(
  'name' => 'uc_order_pane_order_comments_show_customer',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_order_pane_order_comments_show_invoice',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_order_pane_order_comments_show_view',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_order_pane_order_comments_weight_customer',
  'value' => 's:1:"8";',
))
->values(array(
  'name' => 'uc_order_pane_order_comments_weight_invoice',
  'value' => 's:1:"8";',
))
->values(array(
  'name' => 'uc_order_pane_order_comments_weight_view',
  'value' => 's:1:"8";',
))
->values(array(
  'name' => 'uc_order_pane_payment_show_customer',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_order_pane_payment_show_edit',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_order_pane_payment_show_view',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_order_pane_payment_weight_customer',
  'value' => 's:1:"4";',
))
->values(array(
  'name' => 'uc_order_pane_payment_weight_edit',
  'value' => 's:1:"4";',
))
->values(array(
  'name' => 'uc_order_pane_payment_weight_view',
  'value' => 's:1:"4";',
))
->values(array(
  'name' => 'uc_order_pane_products_show_customer',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_order_pane_products_show_edit',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_order_pane_products_show_invoice',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_order_pane_products_show_view',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_order_pane_products_weight_customer',
  'value' => 's:1:"5";',
))
->values(array(
  'name' => 'uc_order_pane_products_weight_edit',
  'value' => 's:1:"5";',
))
->values(array(
  'name' => 'uc_order_pane_products_weight_invoice',
  'value' => 's:1:"5";',
))
->values(array(
  'name' => 'uc_order_pane_products_weight_view',
  'value' => 's:1:"5";',
))
->values(array(
  'name' => 'uc_order_pane_ship_to_show_customer',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_order_pane_ship_to_show_edit',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_order_pane_ship_to_show_invoice',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_order_pane_ship_to_show_view',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_order_pane_ship_to_weight_customer',
  'value' => 's:1:"1";',
))
->values(array(
  'name' => 'uc_order_pane_ship_to_weight_edit',
  'value' => 's:1:"1";',
))
->values(array(
  'name' => 'uc_order_pane_ship_to_weight_invoice',
  'value' => 's:1:"1";',
))
->values(array(
  'name' => 'uc_order_pane_ship_to_weight_view',
  'value' => 's:1:"1";',
))
->values(array(
  'name' => 'uc_order_pane_uc_node_checkout_show_customer',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_order_pane_uc_node_checkout_show_view',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_order_pane_uc_node_checkout_weight_customer',
  'value' => 's:1:"7";',
))
->values(array(
  'name' => 'uc_order_pane_uc_node_checkout_weight_view',
  'value' => 's:1:"7";',
))
->values(array(
  'name' => 'uc_order_pane_update_show_view',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_order_pane_update_weight_view',
  'value' => 's:2:"10";',
))
->values(array(
  'name' => 'uc_pane_billing_enabled',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_pane_billing_weight',
  'value' => 's:1:"5";',
))
->values(array(
  'name' => 'uc_pane_cart_enabled',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_pane_cart_weight',
  'value' => 's:1:"1";',
))
->values(array(
  'name' => 'uc_pane_comments_enabled',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_pane_comments_weight',
  'value' => 's:1:"7";',
))
->values(array(
  'name' => 'uc_pane_customer_enabled',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_pane_customer_weight',
  'value' => 's:1:"2";',
))
->values(array(
  'name' => 'uc_pane_delivery_enabled',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_pane_delivery_weight',
  'value' => 's:1:"3";',
))
->values(array(
  'name' => 'uc_pane_payment_enabled',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_pane_payment_weight',
  'value' => 's:1:"4";',
))
->values(array(
  'name' => 'uc_payment_credit_gateway',
  'value' => 's:12:"authorizenet";',
))
->values(array(
  'name' => 'uc_payment_method_check_checkout',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_payment_method_check_weight',
  'value' => 's:1:"1";',
))
->values(array(
  'name' => 'uc_payment_method_cod_checkout',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_payment_method_cod_weight',
  'value' => 's:1:"1";',
))
->values(array(
  'name' => 'uc_payment_method_credit_checkout',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_payment_method_credit_weight',
  'value' => 's:1:"2";',
))
->values(array(
  'name' => 'uc_payment_method_free_order_checkout',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_payment_method_free_order_weight',
  'value' => 's:2:"10";',
))
->values(array(
  'name' => 'uc_payment_method_other_checkout',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_payment_method_other_weight',
  'value' => 's:2:"10";',
))
->values(array(
  'name' => 'uc_payment_show_order_total_preview',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_pg_test_gateway_cc_txn_type',
  'value' => 's:12:"auth_capture";',
))
->values(array(
  'name' => 'uc_pg_test_gateway_enabled',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_product_add_to_cart_qty',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_product_add_to_cart_teaser',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_product_add_to_cart_text',
  'value' => 's:11:"Add to cart";',
))
->values(array(
  'name' => 'uc_product_enable_nodes',
  'value' => 'b:0;',
))
->values(array(
  'name' => 'uc_product_field_enabled',
  'value' => 'a:9:{s:13:"display_price";i:1;s:5:"image";i:1;s:5:"model";i:0;s:10:"list_price";i:0;s:4:"cost";i:1;s:10:"sell_price";i:0;s:6:"weight";i:0;s:10:"dimensions";i:1;s:11:"add_to_cart";i:1;}',
))
->values(array(
  'name' => 'uc_product_field_weight',
  'value' => 'a:9:{s:13:"display_price";s:3:"-10";s:5:"image";s:2:"-2";s:5:"model";s:1:"0";s:10:"list_price";s:1:"2";s:4:"cost";s:1:"3";s:10:"sell_price";s:1:"4";s:6:"weight";s:1:"5";s:10:"dimensions";s:1:"6";s:11:"add_to_cart";s:2:"10";}',
))
->values(array(
  'name' => 'uc_product_image_widget',
  'value' => 's:8:"thickbox";',
))
->values(array(
  'name' => 'uc_product_shippable_designable_product',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_product_shippable_product',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_sign_after_amount',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_stock_threshold_notification',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_stock_threshold_notification_message',
  'value' => 's:189:"This message has been sent to let you know that the stock level for the model [stock-model] has reached [stock-level]. There may not be enough units in stock to fulfill order #[order-link].";',
))
->values(array(
  'name' => 'uc_stock_threshold_notification_recipients',
  'value' => 's:27:"s:19:"uc-test@example.com";";',
))
->values(array(
  'name' => 'uc_stock_threshold_notification_subject',
  'value' => 's:43:"[store-name]: Stock threshold limit reached";',
))
->values(array(
  'name' => 'uc_store_admin_page_display',
  'value' => 's:1:"1";',
))
->values(array(
  'name' => 'uc_store_city',
  'value' => 's:7:"Chicago";',
))
->values(array(
  'name' => 'uc_store_country',
  'value' => 's:3:"840";',
))
->values(array(
  'name' => 'uc_store_email',
  'value' => 's:24:"uc-migration@example.com";',
))
->values(array(
  'name' => 'uc_store_email_include_name',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_store_fax',
  'value' => 's:0:"";',
))
->values(array(
  'name' => 'uc_store_help_page',
  'value' => 's:4:"help";',
))
->values(array(
  'name' => 'uc_store_name',
  'value' => 's:18:"Ubercart Migration";',
))
->values(array(
  'name' => 'uc_store_owner',
  'value' => 's:18:"Ubercart Migration";',
))
->values(array(
  'name' => 'uc_store_phone',
  'value' => 's:0:"";',
))
->values(array(
  'name' => 'uc_store_postal_code',
  'value' => 's:0:"";',
))
->values(array(
  'name' => 'uc_store_street1',
  'value' => 's:16:"12334 Example St";',
))
->values(array(
  'name' => 'uc_store_street2',
  'value' => 's:0:"";',
))
->values(array(
  'name' => 'uc_store_zone',
  'value' => 's:2:"23";',
))
->values(array(
  'name' => 'uc_teaser_add_to_cart_text',
  'value' => 's:11:"Add to cart";',
))
->values(array(
  'name' => 'uc_use_next_buttons',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_weight_format_g',
  'value' => 's:8:"!value g";',
))
->values(array(
  'name' => 'uc_weight_format_kg',
  'value' => 's:9:"!value kg";',
))
->values(array(
  'name' => 'uc_weight_format_lb',
  'value' => 's:9:"!value lb";',
))
->values(array(
  'name' => 'uc_weight_format_oz',
  'value' => 's:9:"!value oz";',
))
->values(array(
  'name' => 'uc_weight_unit',
  'value' => 's:2:"lb";',
))
->execute();
